﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="FoliosAbiertos.aspx.cs" Inherits="Seven.Front.FoliosAbiertos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("FoliosAbiertos") %> [2.6]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        var HeaderTableFA = ['', '<%=L.LBL("LblGENCode") %>', '<%=L.LBL("LblGENDescription") %>', '', '', '', '', ''];

        <% /* Código del jqGrid para LFA */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFA() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertosUsuario',
                data: {
                    "modo": 1
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        function GetLFABase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: {
                    "modo": 1, "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFA() {

            var lselLFA;
            var colMap = {};
            $("#jqgLFA").jqGrid({
                datatype: GetLFA,
                height: 155,
                width: 550,
                colNames: HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Marcado', index: 'Marcado', search: false, hidden: true },
                            { name: 'Bloqueado', index: 'Bloqueado', search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search: false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFA*/) {
                        $('#jqgLFA').jqGrid('editRow', id, true);
                        lastselLFA = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFA*/) {
                        //$('#jqgLFA').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgLFA").getDataIDs();

                    $("#jqgLFA").resetSelection();

                    for (var i = 0; i < rows.length; i++) {
                        var elem = $("#jqgLFA").getCell(rows[i], "Id");
                        var status = $("#jqgLFA").getCell(rows[i], "Eli");
                        var marcado = $("#jqgLFA").getCell(rows[i], "Marcado");
                        var orden = $("#jqgLFA").getCell(rows[i], "Orden");

                        if (status == "True") {
                            $("#jqgLFA").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }

                        if (marcado == "True") {
                            $("#jqgLFA").setSelection(elem, true);
                        }

                        if (i == 0) {
                            $('input[type=radio][name=rbOrdenLFA][value=' + orden + ']').prop('checked', true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFA',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: false,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

            $("#bsdataLFA").click(function () {
                jQuery("#jqgLFA").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFA() {
            $("#jqgLFA").jqGrid("setGridParam", { datatype: "json", datatype: GetLFA, loadonce: true });
            $("#jqgLFA").trigger("reloadGrid");
            $("#jqgLFA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFA() {
            PutLFA();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFA() {
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFA() {
            $('#btnNuevoLFA').button('enable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('disable');
        }

        function BotonNuevoLFA() {
            $('#btnNuevoLFA').button('disable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('enable');
        }

        function BotonSelectLFA() {
            $('#btnNuevoLFA').button('enable');
            var id = $("#jqgLFA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFA').button('enable');
            }
            else {
                $('#btnEliminarLFA').button('disable');
            }
            $('#btnGuardarLFA').button('disable');
            $('#btnCancelarLFA').button('disable');
        }

        function BotonGuardarLFA() {
            $('#btnNuevoLFA').button('disable');
            $('#btnEliminarLFA').button('disable');
            $('#btnGuardarLFA').button('enable');
            $('#btnCancelarLFA').button('enable');
        }

        <% /* Código del jqGrid para LFAG */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFAG() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertosUsuario',
                data: {
                    "modo": 2
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAG").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFAG")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        function GetLFAGBase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: {
                    "modo": 2, "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAG").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFAG")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFAG() {

            var lselLFAG;
            var colMap = {};
            $("#jqgLFAG").jqGrid({
                datatype: GetLFAG,
                height: 155,
                width: 550,
                colNames: HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Marcado', index: 'Marcado', search: false, hidden: true },
                            { name: 'Bloqueado', index: 'Bloqueado', search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search: false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFAG*/) {
                        $('#jqgLFAG').jqGrid('editRow', id, true);
                        lastselLFAG = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFAG*/) {
                        //$('#jqgLFAG').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgLFAG").getDataIDs();

                    $("#jqgLFAG").resetSelection();

                    for (var i = 0; i < rows.length; i++) {
                        var elem = $("#jqgLFAG").getCell(rows[i], "Id");
                        var status = $("#jqgLFAG").getCell(rows[i], "Eli");
                        var marcado = $("#jqgLFAG").getCell(rows[i], "Marcado");
                        var orden = $("#jqgLFAG").getCell(rows[i], "Orden");

                        if (status == "True") {
                            $("#jqgLFAG").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }

                        if (marcado == "True") {
                            $("#jqgLFAG").setSelection(elem, true);
                        }

                        if (i == 0) {
                            $('input[type=radio][name=rbOrdenLFAG][value=' + orden + ']').prop('checked', true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFAG',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: false,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

            $("#bsdataLFAG").click(function () {
                jQuery("#jqgLFAG").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFAG() {
            $("#jqgLFAG").jqGrid("setGridParam", { datatype: "json", datatype: GetLFAG, loadonce: true });
            $("#jqgLFAG").trigger("reloadGrid");
            $("#jqgLFAG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFAG() {
            PutLFAG();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFAG() {
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFAG() {
            $('#btnNuevoLFAG').button('enable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('disable');
        }

        function BotonNuevoLFAG() {
            $('#btnNuevoLFAG').button('disable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('enable');
        }

        function BotonSelectLFAG() {
            $('#btnNuevoLFAG').button('enable');
            var id = $("#jqgLFAG").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFAG').button('enable');
            }
            else {
                $('#btnEliminarLFAG').button('disable');
            }
            $('#btnGuardarLFAG').button('disable');
            $('#btnCancelarLFAG').button('disable');
        }

        function BotonGuardarLFAG() {
            $('#btnNuevoLFAG').button('disable');
            $('#btnEliminarLFAG').button('disable');
            $('#btnGuardarLFAG').button('enable');
            $('#btnCancelarLFAG').button('enable');
        }

        <% /* Código del jqGrid para LFAT */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetLFAT() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertosUsuario',
                data: {
                    "modo": 3
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAT").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFAT")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAT").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        function GetLFATBase() {
            $.ajax({
                url: 'Servicio.svc/GetListadosFoliosAbiertos',
                data: {
                    "modo": 3, "id_zcfg": "0"
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgLFAT").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgLFAT")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgLFAT").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridLFAT() {

            var lselLFAT;
            var colMap = {};
            $("#jqgLFAT").jqGrid({
                datatype: GetLFAT,
                height: 155,
                width: 550,
                colNames: HeaderTableFA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Codigo', index: 'Codigo', width: 30, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Descripcion', index: 'Descripcion', width: 70, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Marcado', index: 'Marcado', search: false, hidden: true },
                            { name: 'Bloqueado', index: 'Bloqueado', search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true },
                            { name: 'Orden', index: 'Orden', width: 5, search: false, hidden: true },
                            { name: 'Incluir', index: 'Incluir', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastselLFAT*/) {
                        $('#jqgLFAT').jqGrid('editRow', id, true);
                        lastselLFAT = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastselLFAT*/) {
                        //$('#jqgLFAT').jqGrid('setSelection', id);
                        //$('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgLFAT").getDataIDs();

                    $("#jqgLFAT").resetSelection();

                    for (var i = 0; i < rows.length; i++) {
                        var elem = $("#jqgLFAT").getCell(rows[i], "Id");
                        var status = $("#jqgLFAT").getCell(rows[i], "Eli");
                        var marcado = $("#jqgLFAT").getCell(rows[i], "Marcado");
                        var orden = $("#jqgLFAT").getCell(rows[i], "Orden");
                        var incluir = $("#jqgLFAT").getCell(rows[i], "Incluir");

                        if (status == "True") {
                            $("#jqgLFAT").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }

                        if (marcado == "True") {
                            $("#jqgLFAT").setSelection(elem, true);
                        }

                        if (i == 0) {
                            $('input[type=radio][name=rbOrdenLFAT][value=' + orden + ']').prop('checked', true);
                        }

                        if (incluir == "True") {
                            $("#cbInclTarjCC").prop('checked', true);
                        }
                        else {
                            $("#cbInclTarjCC").prop('checked', false);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorLFAT',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: false,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

            $("#bsdataLFAT").click(function () {
                jQuery("#jqgLFAT").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridLFAT() {
            $("#jqgLFAT").jqGrid("setGridParam", { datatype: "json", datatype: GetLFAT, loadonce: true });
            $("#jqgLFAT").trigger("reloadGrid");
            $("#jqgLFAT").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveLFAT() {
            PutLFAT();
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelLFAT() {
            $('#dlgFoliosAbiertos').dialog('close');
        }

        function BotonDefaultLFAT() {
            $('#btnNuevoLFAT').button('enable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('disable');
        }

        function BotonNuevoLFAT() {
            $('#btnNuevoLFAT').button('disable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('enable');
        }

        function BotonSelectLFAT() {
            $('#btnNuevoLFAT').button('enable');
            var id = $("#jqgLFAT").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarLFAT').button('enable');
            }
            else {
                $('#btnEliminarLFAT').button('disable');
            }
            $('#btnGuardarLFAT').button('disable');
            $('#btnCancelarLFAT').button('disable');
        }

        function BotonGuardarLFAT() {
            $('#btnNuevoLFAT').button('disable');
            $('#btnEliminarLFAT').button('disable');
            $('#btnGuardarLFAT').button('enable');
            $('#btnCancelarLFAT').button('enable');
        }

        function VerLFA() {
            window.open("Informe.aspx?r=160&x=0"
                + "&e=" + $("#jqgLFA").jqGrid('getGridParam', 'selarrrow').toString()
                + "&o=" + $('input[type="radio"][name="rbOrdenLFA"]:checked').val()
                + "&i=" + "0"
                + "&fh=" + $("input[name=cbFil_id_habi]:checked").val()
                + "&vh=" + $('#cbHabitacion').val() + "&vh2=" + $('#cbHabitacionRev').val()
                + "&ffe=" + $("input[name=cbFil_fecha_ent]:checked").val()
                + "&vfe=" + $('#txtFil_fecha_ent').val() + "&vfe2=" + $('#txtFil_fecha_ent2').val()
                + "&ffs=" + $("input[name=cbFil_fecha_sal]:checked").val()
                + "&vfs=" + $('#txtFil_fecha_sal').val() + "&vfs2=" + $('#txtFil_fecha_sal2').val()
                + "&ft=" + $("input[name=cbFil_id_cont]:checked").val() + "&vt=" + $('#cbContrato').val()
                + "&fg=" + $("input[name=cbFil_id_grup]:checked").val() + "&vg=" + $('#cbGrupo').val()
                + "&fvd=" + $("input[name=cbFil_id_vuelsal]:checked").val() + "&vvd=" + $('#cbVueloSal').val()
                + "&fs=" + $("input[name=cbFil_saldo]:checked").val() + "&fsk=" + $("input[name=rbSaldoModo]:checked").val()
                + "&fso=" + $("#cbSaldoOps").val() + "&fsm=" + $("#cbMoneda").val()
                + "&vs=" + $('#txtFil_saldo').val()
                + "&fc=" + $("input[name=cbFil_credito]:checked").val() + "&vc=" + $('input[name=rbCredito]:checked').val()
                + "&fnc=" + $("input[name=cbFil_sin_equip]:checked").val() + "&vnc=" + $('input[name=rbNoCorreo]:checked').val()
                + "&fv=" + $("input[name=cbFil_vip]:checked").val() + "&vv=" + $('input[name=rbVIP]:checked').val()
                + "&fre=" + $("input[name=cbFil_reserva]:checked").val() + "&vre=" + $('input[name=rbReserva]:checked').val()
                + "&fro=" + $("input[name=cbFil_rooming]:checked").val() + "&vro=" + $('input[name=rbRooming]:checked').val()
                + "&fa=" + $("input[name=cbFil_adosada_a]:checked").val() + "&va=" + $('#cbAdosadasFilCK').val()
            );
        }

        function VerLFAG() {
            window.open("Informe.aspx?r=161&x=0"
                + "&e=" + $("#jqgLFAG").jqGrid('getGridParam', 'selarrrow').toString()
                + "&o=" + $('input[type="radio"][name="rbOrdenLFAG"]:checked').val()
                + "&i=" + "0"
                + "&ffe=" + $("input[name=cbFilG_fecha_ent]:checked").val()
                + "&vfe=" + $('#txtFilG_fecha_ent').val() + "&vfe2=" + $('#txtFilG_fecha_ent2').val()
                + "&ffs=" + $("input[name=cbFilG_fecha_sal]:checked").val()
                + "&vfs=" + $('#txtFilG_fecha_sal').val() + "&vfs2=" + $('#txtFilG_fecha_sal2').val()
                + "&ffc=" + $("input[name=cbFilG_fecha_conf]:checked").val()
                + "&vfc=" + $('#txtFilG_fecha_conf').val() + "&vfc2=" + $('#txtFilG_fecha_conf2').val()
                + "&ft=" + $("input[name=cbFilG_id_cont]:checked").val() + "&vt=" + $('#cbContratoFilG').val()
                + "&fe=" + $("input[name=cbFilG_id_agen]:checked").val() + "&ve=" + $('#cbEmpresa').val()
                + "&fm=" + $("input[name=cbFilG_id_mone]:checked").val() + "&vm=" + $('#cbMonedaFilG').val()
            );
        }

        function VerLFAT() {
            window.open("Informe.aspx?r=162&x=0"
                + "&e=" + $("#jqgLFAT").jqGrid('getGridParam', 'selarrrow').toString()
                + "&o=" + $('input[type="radio"][name="rbOrdenLFAT"]:checked').val()
                + "&i=" + $('input[name=cbInclTarjCC]:checked').val()
                + "&ffe=" + $("input[name=cbFilT_id_tarj]:checked").val()
                + "&vfe=" + $('#cbFolioExt').val() + "&vfe2=" + $('#cbFolioExtRev').val()
                + "&ffv=" + $("input[name=cbFilT_fecha_venc]:checked").val()
                + "&vfv=" + $('#txtFilT_fecha_venc').val() + "&vfv2=" + $('#txtFilT_fecha_venc2').val()
                + "&fk=" + $("input[name=cbFilT_id_tipo]:checked").val() + "&fkm=" + $("input[name=rbTipoFEModo]:checked").val()
                + "&vk=" + $('#cbTipoFolioExt').val()
                + "&fs=" + $("input[name=cbFilT_saldo]:checked").val() + "&fsk=" + $("input[name=rbSaldoModoFilT]:checked").val()
                + "&fso=" + $("#cbSaldoOpsFilT").val() + "&fsm=" + $("#cbMonedaFilT").val()
                + "&vs=" + $('#txtFilT_saldo').val()
            );
        }

        function FiltroLFA() {
            $('#dlgFiltroLFA').dialog('open');
        }

        function FiltroLFAG() {
            $('#dlgFiltroLFAG').dialog('open');
        }

        function FiltroLFAT() {
            $('#dlgFiltroLFAT').dialog('open');
        }


    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgFiltroLFA").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 600,
                modal: true
            });

            $("#dlgFiltroLFAG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 250,
                width: 400,
                modal: true
            });

            $("#dlgFiltroLFAT").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 250,
                width: 550,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 2);

            LoadGridLFA();
            LoadGridLFAG();
            LoadGridLFAT();

            $('#FoliosAbiertosTabs').tabs();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="FoliosAbiertos.aspx"><%=L.TIT("FoliosAbiertos") %> [2.6]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 570px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgFiltroLFA" title="<%=L.LBL("LblGENFiltrar") %>" style="padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_habi" name="cbFil_id_habi" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRoom") %>:
                            </td>
                            <td>
                                <%=cbHabitacion %>
                            </td>
                            <td>
                                <%=cbHabitacionRev %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_credito" name="cbFil_credito" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCredito") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbCredito" value="1" onclick="$('input[name=cbFil_credito]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbCredito" value="0" onclick="$('input[name=cbFil_credito]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_ent" name="cbFil_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(-2)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent2" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_sin_equip" name="cbFil_sin_equip" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKMSNoCorreo") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbNoCorreo" value="1" onclick="$('input[name=cbFil_sin_equip]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbNoCorreo" value="0" onclick="$('input[name=cbFil_sin_equip]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_sal" name="cbFil_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal2" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(2)) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_vip" name="cbFil_vip" value="1" />
                            </td>
                            <td>VIP:
                            </td>
                            <td>
                                <input type="radio" name="rbVIP" value="1" onclick="$('input[name=cbFil_vip]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbVIP" value="0" onclick="$('input[name=cbFil_vip]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_cont" name="cbFil_id_cont" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>:
                            </td>
                            <td colspan="2">
                                <%=cbContrato %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_reserva" name="cbFil_reserva" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKReserva") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbReserva" value="1" onclick="$('input[name=cbFil_reserva]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbReserva" value="0" onclick="$('input[name=cbFil_reserva]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_grup" name="cbFil_id_grup" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENGroup") %>:
                            </td>
                            <td colspan="2">
                                <%=cbGrupo %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_rooming" name="cbFil_rooming" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKESRERooming") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbRooming" value="1" onclick="$('input[name=cbFil_rooming]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbRooming" value="0" onclick="$('input[name=cbFil_rooming]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_vuelsal" name="cbFil_id_vuelsal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKVueloSal") %>:
                            </td>
                            <td colspan="2">
                                <%=cbVuelSal %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_adosada_a" name="cbFil_adosada_a" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblAdosadaA") %>:
                            </td>
                            <td>
                                <%=cbAdosadasFilCK %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_saldo" name="cbFil_saldo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENSaldo") %>:
                            </td>
                            <td colspan="5">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="radio" name="rbSaldoModo" value="0" onclick="$('input[name=cbFil_saldo]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENMonBase") %><br />
                                            <input type="radio" name="rbSaldoModo" value="1" onclick="$('input[name=cbFil_saldo]').prop('checked', true);" /><%=L.LBL("LblGENMonOtr") %>
                                        </td>
                                        <td>
                                            <%=cbMoneda %>
                                        </td>
                                        <td>
                                            <%=Utils.SaldoOpsCombo("$('input[name=cbFil_saldo]').prop('checked', true);") %>
                                        </td>
                                        <td>
                                            <input type="text" id="txtFil_saldo" value="" onchange="$('input[name=cbFil_saldo]').prop('checked', true);" style="width: 100px;" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnFilLFAD" onclick="$('#dlgFiltroLFA').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                        <td><%=L.LBL("LblGENFiltrar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <div id="dlgFiltroLFAG" title="<%=L.LBL("LblGENFiltrar") %>" style="padding-top: 25px">

                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_fecha_ent" name="cbFilG_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_ent" onchange="$('input[name=cbFilG_fecha_ent]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(-2)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_ent2" onchange="$('input[name=cbFilG_fecha_ent]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_fecha_sal" name="cbFilG_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_sal" onchange="$('input[name=cbFilG_fecha_sal]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_sal2" onchange="$('input[name=cbFilG_fecha_sal]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(+2)) %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_fecha_conf" name="cbFilG_fecha_conf" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENFechaEmision") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_conf" onchange="$('input[name=cbFilG_fecha_conf]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddMonths(-2)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFilG_fecha_conf2" onchange="$('input[name=cbFilG_fecha_conf]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_id_cont" name="cbFilG_id_cont" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>:
                            </td>
                            <td colspan="2">
                                <%=cbContratoFilG %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_id_agen" name="cbFilG_id_agen" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCompany") %>:
                            </td>
                            <td colspan="2">
                                <%=cbEmpresa %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilG_id_mone" name="cbFilG_id_mone" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td colspan="2">
                                <%=cbMonedaFilG %>
                            </td>
                        </tr>
                    </table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnFilLFAGD" onclick="$('#dlgFiltroLFAG').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                        <td><%=L.LBL("LblGENFiltrar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <div id="dlgFiltroLFAT" title="<%=L.LBL("LblGENFiltrar") %>" style="padding-top: 25px">

                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilT_id_tarj" name="cbFilT_id_tarj" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKFolioExterno") %>:
                            </td>
                            <td>
                                <%=cbFolioExt %>
                            </td>
                            <td>
                                <%=cbFolioExtRev %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilT_fecha_venc" name="cbFilT_fecha_venc" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENVencimiento") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilT_fecha_venc" onchange="$('input[name=cbFilT_fecha_venc]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFilT_fecha_venc2" onchange="$('input[name=cbFilT_fecha_venc]').prop('checked', true);" 
                                    style="width: 80px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilT_id_tipo" name="cbFilT_id_tipo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENType") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbTipoFEModo" value="0" onclick="$('input[name=cbFilT_id_tipo]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENCuentaCasa") %><br />
                                <input type="radio" name="rbTipoFEModo" value="1" onclick="$('input[name=cbFilT_id_tipo]').prop('checked', true);" /><%=L.LBL("LblGENCuentaCasaNo") %><br />
                                <input type="radio" name="rbTipoFEModo" value="2" onclick="$('input[name=cbFilT_id_tipo]').prop('checked', true);" /><%=L.LBL("LblGENOther") %>
                            </td>
                            <td>
                                <%=cbTipoFolioExt %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilT_saldo" name="cbFilT_saldo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENSaldo") %>:
                            </td>
                            <td colspan="2">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="radio" name="rbSaldoModoFilT" value="0" onclick="$('input[name=cbFilT_saldo]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENMonBase") %><br />
                                            <input type="radio" name="rbSaldoModoFilT" value="1" onclick="$('input[name=cbFilT_saldo]').prop('checked', true);" /><%=L.LBL("LblGENMonOtr") %>
                                        </td>
                                        <td>
                                            <%=cbMonedaFilT %>
                                        </td>
                                        <td>
                                            <%=Utils.SaldoOpsCombo("$('input[name=cbFilT_saldo]').prop('checked', true);").Replace("cbSaldoOps", "cbSaldoOpsFilT") %>
                                        </td>
                                        <td>
                                            <input type="text" id="txtFilT_saldo" value="" onchange="$('input[name=cbFilT_saldo]').prop('checked', true);" style="width: 100px;" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnFilLFATD" onclick="$('#dlgFiltroLFAT').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                        <td><%=L.LBL("LblGENFiltrar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("FoliosAbiertos") %> [2.6]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-6-folios-abiertos/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="FoliosAbiertosTabs" style="padding: 0px;">

                    <ul>
                        <li>
                            <a href="#LFA">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/OpFolios.png" /></td>
                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSLFA") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#LFAG">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/building.png" /></td>
                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSLFAG") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#LFAT">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/FoliosExt.png" /></td>
                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSLFAT") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="LFA" style="height: 330px;">

                        <b><%=L.LBL("LblFDKLFA") %></b>

                        <br />
                        <br />

                        <table>
                            <tr>
                                <td rowspan="3" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                <td>
                                    <input type="radio" name="rbOrdenLFA" value="1" checked="checked" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSHabitaciones") %></td>
                                <td rowspan="3" style="vertical-align: middle;"></td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="radio" name="rbOrdenLFA" value="2" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSFechaEntrada") %></td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="radio" name="rbOrdenLFA" value="3" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSFechaSalida") %></td>
                            </tr>
                        </table>

                        <br />

                        <table id="jqgLFA"></table>
                        <div id="PaginadorLFA"></div>

                        <br />

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <%--<td>
                                                <button type="button" id="btnGuardarLFA" onclick="SaveLFA();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>--%>
                                            <td>
                                                <button type="button" id="btnFilLFA" onclick="FiltroLFA();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                            <td><%=L.LBL("LblGENFiltrar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnConfigBaseLFA" onclick="GetLFABase();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/arrow-circle-double.png"
                                                                    alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENConfigBase") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnRepLFA" onclick="VerLFA();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENReporte") %>" /></td>
                                                            <td><%=L.LBL("LblGENReporte") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                    </div>

                    <div id="LFAG" style="height: 330px;">

                        <b><%=L.LBL("LblFDKLFAG") %></b>

                        <br />
                        <br />

                        <table>
                            <tr>
                                <td rowspan="2" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                <td>
                                    <input type="radio" name="rbOrdenLFAG" value="1" checked="checked" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSNroCheque") %></td>
                                <td>
                                    <input type="radio" name="rbOrdenLFAG" value="4" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSEXContrato") %></td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="radio" name="rbOrdenLFAG" value="2" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSFechaEntrada") %></td>
                                <td>
                                    <input type="radio" name="rbOrdenLFAG" value="3" />
                                </td>
                                <td style="text-align: left;"><%=L.LBL("LblFDKSFechaSalida") %></td>
                            </tr>
                        </table>

                        <br />
                        <br />

                        <table id="jqgLFAG"></table>
                        <div id="PaginadorLFAG"></div>

                        <br />

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <%--<td>
                                                <button type="button" id="btnGuardarLFAG" onclick="SaveLFAG();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>--%>
                                            <td>
                                                <button type="button" id="btnFilLFAG" onclick="FiltroLFAG();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                            <td><%=L.LBL("LblGENFiltrar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnConfigBaseLFAG" onclick="GetLFAGBase();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/arrow-circle-double.png"
                                                                    alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENConfigBase") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnRepLFAG" onclick="VerLFAG();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENReporte") %>" /></td>
                                                            <td><%=L.LBL("LblGENReporte") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                    </div>

                    <div id="LFAT" style="height: 330px;">

                        <b><%=L.LBL("LblFDKLFAT") %></b>

                        <br />
                        <br />

                        <table>
                            <tr>
                                <td rowspan="2" style="vertical-align: middle;"><b><%=L.LBL("LblGENOrderBy") %>:</b></td>
                                <td>
                                    <input type="radio" name="rbOrdenLFAT" value="1" checked="checked" />
                                </td>
                                <td><%=L.LBL("LblFDKSNroTarjeta") %></td>
                                <td rowspan="3" style="vertical-align: middle;"></td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="radio" name="rbOrdenLFAT" value="2" />
                                </td>
                                <td><%=L.LBL("LblFDKSFechaVencimiento") %></td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <input type="checkbox" id="cbInclTarjCC" name="cbInclTarjCC" value="1" />
                                    <%=L.LBL("LblFDKSIncluirTarjCC") %>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <table id="jqgLFAT"></table>
                        <div id="PaginadorLFAT"></div>

                        <br />

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <%--<td>
                                                <button type="button" id="btnGuardarLFAT" onclick="SaveLFAT();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>--%>
                                            <td>
                                                <button type="button" id="btnFilLFAT" onclick="FiltroLFAT();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                            <td><%=L.LBL("LblGENFiltrar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnConfigBaseLFAT" onclick="GetLFATBase();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/arrow-circle-double.png"
                                                                    alt="<%=L.LBL("LblGENConfigBase") %>" />
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENConfigBase") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnRepLFAT" onclick="VerLFAT();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENReporte") %>" /></td>
                                                            <td><%=L.LBL("LblGENReporte") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

