﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="FoliosCuentaCasa.aspx.cs" Inherits="Seven.Front.FoliosCuentaCasa" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("FoliosCuentaCasa") %> [2.10]</title>

    <script type="text/javascript">

    <% 
        
           /* 
            * 
            * Índice de Código 
            *
            * El trabajo hecho a gusto no cansa jamás.
            *                                          -- Thomas Jefferson
            * 
            * JQ01 - Grid Principal Folios Cuenta Casa
            * JQ02 - Grid de Detalle de Facturas - Cargos (FD1)
            * JQ03 - Grid de Detalle de Facturas - Traslado de Cargos (FD2)
            * JQ04 - Grid de Detalle de Facturas - Liquidación (FD3)
            * JQ05 - Grid de Detalle de Facturas - Listados (FD4)
            * 
            * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
            * JS_FUN_CRG   - Cargos
            * JS_FUN_TR    - Traslado del Cargos
            * JS_FUN_LIQ   - Liquidación
            * JS_FUN_LIS   - Listados
            * JS_FUN_FDX   - Proceso de carga del detalle de las facturas
            * JS_DOC       - Funciones Javascript en Document.Ready()
            * 
            * DLG_VAR      - Diálogos Varios
            * DLG_FIL      - Diálogo de Filtrado
            * 
            * TIT - Título
            * 
            * HH  - Hidden Hive - Almacen de datos en campos ocultos
            * 
            * B01 - Grid Principal
            * B02 - Tab de Cargos
            * B03 - Tab de Traslados
            * B04 - Tab de Liquidación
            * B05 - Tab de Listados
            * 
            */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Folios Cuenta Casa */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCC() {
            $.ajax({
                url: 'Servicio.svc/GetCuentaCasa',
                data: {
                    "Fil_id_tipo": $("input[name=cbFil_id_tipo]:checked").val(), "vFil_id_tipo": $('#cbTipoFolioExt').val()
                    , "Fil_nombre_titular": $("input[name=cbFil_nombre_titular]:checked").val(), "vFil_nombre_titular": $('#txtFil_nombre_titular').val()
                    , "Fil_num_tarj": $("input[name=cbFil_num_tarj]:checked").val(), "vFil_num_tarj": $('#txtFil_num_tarj').val()
                    , "Fil_fecha_emision": $("input[name=cbFil_fecha_emision]:checked").val(), "Fil_fecha_emision_modo": $("#cbDateOpsA").val()
                    , "vFil_fecha_emision": $('#txtFil_fecha_emision').val(), "vFil_fecha_emision2": $('#txtFil_fecha_emision2').val()
                    , "Fil_fecha_vencim": $("input[name=cbFil_fecha_vencim]:checked").val(), "Fil_fecha_vencim_modo": $("#cbDateOpsB").val()
                    , "vFil_fecha_vencim": $('#txtFil_fecha_vencim').val(), "vFil_fecha_vencim2": $('#txtFil_fecha_vencim2').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgCC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgCC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgCC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCC() {

            var lselCC;
            var colMap = {};
            $("#jqgCC").jqGrid({
                datatype: 'local',
                height: 365,
                width: 100,
                colNames: ['', '<%=L.LBL("LblGENNumero") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'num_tarj', index: 'num_tarj', width: 10, sorttype: 'int', editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'nombre', index: 'nombre', width: 10, editable: true, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselCC) && !isNaN(id)) {
                            $("#jqgCC").jqGrid('delRowData', lselCC);
                            //$('#jqgCC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgCC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgCC").jqGrid('getRowData', id);

                            $('#jqgCC').jqGrid('restoreRow', lselCC);

                            $('#IdSubElementCC').val(ret.Id);

                            $('#cbCuentaCasa').val(ret.Id);

                            GetCCD();

                        }

                        lselCC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselCC)) {
                            $("#jqgCC").jqGrid('delRowData', lselCC);
                            $('#jqgCC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgCC').jqGrid('saveRow', lselCC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgCC').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgCC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementCC').val()) == 0) {
                            $('#IdSubElementCC').val($("#jqgCC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgCC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgCC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'num_tarj',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCC() {
            $("#jqgCC").jqGrid("setGridParam", { datatype: "json", datatype: GetCC, loadonce: true });
            $("#jqgCC").trigger("reloadGrid");
            $("#jqgCC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ02 */  %>

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function FDXButtonFormatter(cellvalue, options, rowObject) {
            var idname = options.rowId;
            return "<button type='button' onclick='DialogoDetalleCargo(" + idname + ");'><img src='img/magnifier16.png' /></button>";
        };

        function LoadGridFD1() {

            var lselFD1;
            var colMap = {};
            $("#jqgFD1").jqGrid({
                datatype: 'local',
                height: 140,
                width: 330,
                colNames: ['', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblFDKSConcepto") %>', '<%=L.LBL("LblGENImporte") %>', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_cargo', index: 'fecha_cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha2', index: 'fecha2', width: 22, editable: false, search: false },
                            { name: 'desc_con0', index: 'desc_con0', width: 40, editable: false, search: false },
                            { name: 'importe', index: 'importe', width: 22, editable: false, search: false, align: 'right' },
                            { name: 'id_pre0', index: 'id_pre0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_operador', index: 'id_operador', width: 10, editable: false, search: false, hidden: true },
                            { name: 'terminal', index: 'terminal', width: 10, editable: false, search: false, hidden: true },
                            { name: 'refer', index: 'refer', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha', index: 'fecha', width: 10, editable: false, search: false, hidden: true },
                            { name: 'afecta_desc', index: 'afecta_desc', width: 10, editable: false, search: false, hidden: true },
                            { name: 'cargo', index: 'cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_con0', index: 'id_con0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, editable: false, search: false, hidden: true },
                            { name: 'manual', index: 'manual', width: 10, editable: false, search: false, hidden: true },
                            { name: 'motivo', index: 'motivo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'total', index: 'total', width: 10, editable: false, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 10, editable: false, search: false, formatter: FDXButtonFormatter },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselFD1) && !isNaN(id)) {
                            $("#jqgFD1").jqGrid('delRowData', lselFD1);
                            //$('#jqgFD1').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgFD1").jqGrid('getRowData', id);

                            $('#jqgFD1').jqGrid('restoreRow', lselFD1);

                            //var motivos = ret.motivo.split("ÿ");
                            ////alert(motivos);
                            //$('#cbTipoCobrosDA').val(motivos[motivos.length - 2]);

                            //$('#txtOFDAImporte').val(ret.importe);
                            //$('#txtOFDAMotivo').val(ret.motivo);

                            $('#cbServFactXMoneCA').val(ret.id_pre0);
                            $('#txtOFCAImporte').val(ret.importe);
                            $('#txtOFCAMotivo').val(ret.motivo);

                            $('#IdSubElementFD1').val(ret.Id);

                        }
                    }

                    lselFD1 = id;
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselFD1)) {
                            $("#jqgFD1").jqGrid('delRowData', lselFD1);
                            $('#jqgFD1').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgFD1').jqGrid('saveRow', lselFD1);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgFD1').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgFD1").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        $('#jqgFD1').jqGrid('setSelection', id);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFD1").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        /*if (i == 0 && parseInt($('#IdSubElementFD1').val()) == 0) {
                            $('#IdSubElementFD1').val($("#jqgFD1").getCell(rows[i], "Id"));
                        }*/

                        if (i == 0) {
                            $('#TotalFD1').html($("#jqgFD1").getCell(rows[i], "total"));
                        }

                        var status = $("#jqgFD1").getCell(rows[i], "Eli");

                        if (status != "0") {
                            $("#jqgFD1").jqGrid('setRowData', rows[i], false,
                            { color: '#B00000', font: 'italic' });
                        }
                    }
                    $('#jqgFD1').jqGrid('setSelection', $('#IdSubElementFD1').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JQ03 */  %>

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFD2() {

            var lselFD2;
            var colMap = {};
            $("#jqgFD2").jqGrid({
                datatype: 'local',
                height: 140,
                width: 330,
                colNames: ['', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblFDKSConcepto") %>', '<%=L.LBL("LblGENImporte") %>', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_cargo', index: 'fecha_cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha2', index: 'fecha2', width: 22, editable: false, search: false },
                            { name: 'desc_con0', index: 'desc_con0', width: 35, editable: false, search: false },
                            { name: 'importe', index: 'importe', width: 22, editable: false, search: false, align: 'right' },
                            { name: 'id_pre0', index: 'id_pre0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_operador', index: 'id_operador', width: 10, editable: false, search: false, hidden: true },
                            { name: 'terminal', index: 'terminal', width: 10, editable: false, search: false, hidden: true },
                            { name: 'refer', index: 'refer', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha', index: 'fecha', width: 10, editable: false, search: false, hidden: true },
                            { name: 'afecta_desc', index: 'afecta_desc', width: 10, editable: false, search: false, hidden: true },
                            { name: 'cargo', index: 'cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_con0', index: 'id_con0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, editable: false, search: false, hidden: true },
                            { name: 'manual', index: 'manual', width: 10, editable: false, search: false, hidden: true },
                            { name: 'motivo', index: 'motivo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'total', index: 'total', width: 10, editable: false, search: false, hidden: true },
                            { name: 'Redirigido', index: 'Redirigido', width: 10, editable: false, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 10, editable: false, search: false, formatter: FDXButtonFormatter },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselFD2) && !isNaN(id)) {
                            $("#jqgFD2").jqGrid('delRowData', lselFD2);
                            //$('#jqgFD2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgFD2").jqGrid('getRowData', id);

                            //$('#jqgFD2').jqGrid('restoreRow', lselFD2);

                            $('#IdSubElementFD2').val(ret.Id);

                        }
                    }

                    lselFD2 = id;
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselFD2)) {
                            $("#jqgFD2").jqGrid('delRowData', lselFD2);
                            //$('#jqgFD2').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgFD2').jqGrid('saveRow', lselFD2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            //$('#jqgFD2').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgFD2").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        //$('#jqgFD2').jqGrid('setSelection', id);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFD2").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementFD2').val()) == 0) {
                            $('#IdSubElementFD2').val($("#jqgFD2").getCell(rows[i], "Id"));
                        }

                        if (i == 0) {
                            $('#TotalFD2').html($("#jqgFD2").getCell(rows[i], "total"));
                        }

                        var status = $("#jqgFD2").getCell(rows[i], "Eli");

                        if (status != "0") {
                            $("#jqgFD2").jqGrid('setRowData', rows[i], false,
                            { color: '#B00000', font: 'italic' });
                        }

                        var redir = parseInt($("#jqgFD2").getCell(rows[i], "Redirigido"));

                        if (redir > 0) {
                            $("#jqgFD2").jqGrid('setRowData', rows[i], false,
                            { color: '#19B565', font: 'italic' });
                        }
                    }
                    $('#jqgFD2').jqGrid('setSelection', $('#IdSubElementFD2').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JQ04 */  %>

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFD3() {

            var lselFD3;
            var colMap = {};
            $("#jqgFD3").jqGrid({
                datatype: 'local',
                height: 140,
                width: 330,
                colNames: ['', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblFDKSConcepto") %>', '<%=L.LBL("LblGENImporte") %>', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_cargo', index: 'fecha_cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha2', index: 'fecha2', width: 22, editable: false, search: false },
                            { name: 'desc_con0', index: 'desc_con0', width: 40, editable: false, search: false },
                            { name: 'importe', index: 'importe', width: 22, editable: false, search: false, align: 'right' },
                            { name: 'id_pre0', index: 'id_pre0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_operador', index: 'id_operador', width: 10, editable: false, search: false, hidden: true },
                            { name: 'terminal', index: 'terminal', width: 10, editable: false, search: false, hidden: true },
                            { name: 'refer', index: 'refer', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha', index: 'fecha', width: 10, editable: false, search: false, hidden: true },
                            { name: 'afecta_desc', index: 'afecta_desc', width: 10, editable: false, search: false, hidden: true },
                            { name: 'cargo', index: 'cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_con0', index: 'id_con0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, editable: false, search: false, hidden: true },
                            { name: 'manual', index: 'manual', width: 10, editable: false, search: false, hidden: true },
                            { name: 'motivo', index: 'motivo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'total', index: 'total', width: 10, editable: false, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 10, editable: false, search: false, formatter: FDXButtonFormatter },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselFD3) && !isNaN(id)) {
                            $("#jqgFD3").jqGrid('delRowData', lselFD3);
                            //$('#jqgFD3').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgFD3").jqGrid('getRowData', id);

                            $('#jqgFD3').jqGrid('restoreRow', lselFD3);

                            $('#IdSubElementFD3').val(ret.Id);

                        }
                    }

                    lselFD3 = id;
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselFD3)) {
                            $("#jqgFD3").jqGrid('delRowData', lselFD3);
                            $('#jqgFD3').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgFD3').jqGrid('saveRow', lselFD3);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgFD3').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgFD3").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        $('#jqgFD3').jqGrid('setSelection', id);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFD3").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementFD3').val()) == 0) {
                            $('#IdSubElementFD3').val($("#jqgFD3").getCell(rows[i], "Id"));
                        }

                        if (i == 0) {
                            $('#TotalFD3').html($("#jqgFD3").getCell(rows[i], "total"));
                        }

                        var status = $("#jqgFD3").getCell(rows[i], "Eli");

                        if (status != "0") {
                            $("#jqgFD3").jqGrid('setRowData', rows[i], false,
                            { color: '#B00000', font: 'italic' });
                        }
                    }
                    $('#jqgFD3').jqGrid('setSelection', $('#IdSubElementFD3').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JQ05 */  %>

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFD4() {

            var lselFD4;
            var colMap = {};
            $("#jqgFD4").jqGrid({
                datatype: 'local',
                height: 140,
                width: 330,
                colNames: ['', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblFDKSConcepto") %>', '<%=L.LBL("LblGENImporte") %>', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_cargo', index: 'fecha_cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha2', index: 'fecha2', width: 22, editable: false, search: false },
                            { name: 'desc_con0', index: 'desc_con0', width: 40, editable: false, search: false },
                            { name: 'importe', index: 'importe', width: 22, editable: false, search: false, align: 'right' },
                            { name: 'id_pre0', index: 'id_pre0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_operador', index: 'id_operador', width: 10, editable: false, search: false, hidden: true },
                            { name: 'terminal', index: 'terminal', width: 10, editable: false, search: false, hidden: true },
                            { name: 'refer', index: 'refer', width: 10, editable: false, search: false, hidden: true },
                            { name: 'fecha', index: 'fecha', width: 10, editable: false, search: false, hidden: true },
                            { name: 'afecta_desc', index: 'afecta_desc', width: 10, editable: false, search: false, hidden: true },
                            { name: 'cargo', index: 'cargo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'id_con0', index: 'id_con0', width: 10, editable: false, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, editable: false, search: false, hidden: true },
                            { name: 'manual', index: 'manual', width: 10, editable: false, search: false, hidden: true },
                            { name: 'motivo', index: 'motivo', width: 10, editable: false, search: false, hidden: true },
                            { name: 'total', index: 'total', width: 10, editable: false, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 10, editable: false, search: false, formatter: FDXButtonFormatter },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselFD4) && !isNaN(id)) {
                            $("#jqgFD4").jqGrid('delRowData', lselFD4);
                            //$('#jqgFD4').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgFD4").jqGrid('getRowData', id);

                            $('#jqgFD4').jqGrid('restoreRow', lselFD4);

                            $('#IdSubElementFD4').val(ret.Id);

                        }
                    }

                    lselFD4 = id;
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselFD4)) {
                            $("#jqgFD4").jqGrid('delRowData', lselFD4);
                            $('#jqgFD4').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgFD4').jqGrid('saveRow', lselFD4);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgFD4').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgFD4").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        $('#jqgFD4').jqGrid('setSelection', id);
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFD4").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementFD4').val()) == 0) {
                            $('#IdSubElementFD4').val($("#jqgFD4").getCell(rows[i], "Id"));
                        }

                        if (i == 0) {
                            $('#TotalFD4').html($("#jqgFD4").getCell(rows[i], "total"));
                        }

                        var status = $("#jqgFD4").getCell(rows[i], "Eli");

                        if (status != "0") {
                            $("#jqgFD4").jqGrid('setRowData', rows[i], false,
                            { color: '#B00000', font: 'italic' });
                        }
                    }
                    $('#jqgFD4').jqGrid('setSelection', $('#IdSubElementFD4').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JS_FUN_BASE */%>

        function CargarFolioCC()
        {
            var idn = parseInt($('#cbCuentaCasa').val());
            if (idn != 0)
            {
                $("#jqgCC").jqGrid('delRowData', idn);
                $("#jqgCC").jqGrid('addRowData', idn, { 'Id': idn, "num_tarj": $('#HID_cc_num_tarj' + idn).val(), "nombre": "", "Eli": 0 });
                $('#jqgCC').jqGrid('sortGrid', 'num_tarj', true, 'asc');
                $('#jqgCC').jqGrid('setSelection', idn);
                lastsel2 = idn;
            }
        }

        function GetCCD() {
            $.ajax({
                url: 'Servicio.svc/GetCuentaCasaDetalle',
                data: { "id_tarj" : $('#IdSubElementCC').val()
                  , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                  , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $('#HidCCD').html(json.d);
                        LoadForm();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadForm()
        {
            ResetForm();

            var id = $('#IdSubElementCC').val();
            for (i = 1; i < 5; i++) {
                $('#txtTitular' + i).html($('#HID_ccd_nombre_titular' + id).val());
                $('#txtTipo' + i).html($('#HID_ccd_tipo' + id).val());
                $('#txtFecVen' + i).html($('#HID_ccd_fecha_vencim' + id).val());
                $('#txtFecEmi' + i).html($('#HID_ccd_fecha_emision' + id).val());
                $('#txtMoneda' + i).html($('#HID_ccd_cod_mone' + id).val());
                $('#txtLimiteCred' + i).html($('#HID_ccd_limite_cred' + id).val());

                if (parseInt($('#HID_ccd_credito' + id).val()) == 1) {
                    $('#txtCredito' + i).html('<%=L.LBL("LblFDKCredito") %>');
                    $('#txtCredito' + i).css('color', 'green');
                }
                else {
                    $('#txtCredito' + i).html('<%=L.LBL("LblFDKSinCredito") %>');
                    $('#txtCredito' + i).css('color', 'red');
                }

                $('#txtTotal' + i).html($('#HID_ccd_total' + id).val());
            }

            GetOFFacturaDetalle();
            GetServFactXMonedaComboOptions();
        }

        function ResetForm() {
            for (i = 1; i < 5; i++) {
                $('#txtTitular' + i).html('');
                $('#txtTipo' + i).html($(''));
                $('#txtFecVen' + i).html($(''));
                $('#txtFecEmi' + i).html($(''));
                $('#txtMoneda' + i).html($(''));
                $('#txtLimiteCred' + i).html($(''));
                $('#txtCredito' + i).html('');
                $('#txtTotal' + i).html('<%=string.Format("{0:N2}", 0) %>');
            }
        }

        <% /* JS_FUN_CRG */ %>

        function CheckCorreccionCRG() {
            if (parseInt($('input[name=rbOFCAModo]:checked').val()) == 0) {
                var id = $("#jqgFD1").jqGrid('getGridParam', 'selrow');
                if (parseInt(id) != 0) {
                    var ret = jQuery("#jqgFD1").jqGrid('getRowData', id);
                    $('#cbServFactXMoneCA').val(ret.id_pre0);
                    $('#txtOFCAImporte').val(ret.importe);
                    $('#cbServFactXMoneCA').prop('disabled', true);
                    $('#txtOFCAImporte').prop('disabled', true);
                }
                else {
                    $('#rbOFCAModo0').prop('checked', true);
                    $('#rbOFCAModo1').prop('checked', false);

                    $('#cbServFactXMoneCA').val(0);
                    LoadPrecioSF();
                    $('#cbServFactXMoneCA').prop('disabled', false);
                    $('#txtOFCAImporte').prop('disabled', false);
                }
            }
            else {
                $('#cbServFactXMoneCA').val(0);
                LoadPrecioSF();
                $('#cbServFactXMoneCA').prop('disabled', false);
                $('#txtOFCAImporte').prop('disabled', false);
            }
        }

        function LoadPrecioSF() {
            if (parseInt($('input[name=rbOFCAModo]:checked').val()) == 1) {
                $('#txtOFCAImporte').val($('#HID_SF_M' + $('#HID_ccd_id_mone' + $('#IdSubElementCC').val()).val() + '_P0' + $('#cbServFactXMoneCA').val() + '_PR').val());
            }
        }

        function GetServFactXMonedaComboOptions() {
            $.ajax({
                url: 'Servicio.svc/GetServFactXMonedaComboOptions',
                data: {
                    "id_mone": $('#HID_ccd_id_mone' + $('#IdSubElementCC').val()).val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    //$("#dlgCargando10").dialog('open');
                },
                success: function (json) {
                    //$("#dlgCargando10").dialog('close');
                    try {
                        $("#cbServFactXMoneCA").html(json.d);
                        LoadPrecioSF();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function PutOFFacturaCargos() {
            var mon = $('#HID_ccd_id_mone' + $('#IdSubElementCC').val()).val();
            $.ajax({
                url: 'Servicio.svc/PutOFFacturaCargos',
                data: {
                    "id_face": "FE " + $('#IdSubElementCC').val(), "orden": 1, "id_mone": mon,
                    "id_pre0": $('#cbServFactXMoneCA').val(), "id_mone_imp": mon,
                    "importe": $('#txtOFCAImporte').val(), "motivo": $('#txtOFCAMotivo').val(),
                    "cargo": $('input[name=rbOFCAModo]:checked').val(), "id_line_cor": $('#IdSubElementFD1').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElementFA1').val(res);
                        $('#btnEliminar').button('disable');
                        GetCCD();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_TR */ %>

        function GetOFFacturaDetalleTR() {
            $.ajax({
                url: 'Servicio.svc/GetOFFacturaDetalle',
                data: {
                    "id_face": "FE " + $('#IdSubElementCC').val(), "id_fact": $('#IdSubElementCC').val(),
                    "Fil_Fecha": $("input[name=cbFil_Fecha]:checked").val(), "Fil_Fecha_modo": $('#cbDateOps').val()
                    , "vFil_Fecha": $('#txtFil_Fecha').val(), "vFil_Fecha2": $('#txtFil_Fecha2').val()
                    , "Fil_id_con0": $("input[name=cbFil_id_con0]:checked").val(), "vFil_id_con0": $('#cbServFactTR').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');

                    $('#jqgFD2').jqGrid('clearGridData');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    try {
                        $("#jqgFD2").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        thegrid = $("#jqgFD2")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFD2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function SelectTodoTR() {
            $("#jqgFD2").jqGrid('resetSelection');
            //$('#jqgFD2').click();
            var ids = $("#jqgFD2").getDataIDs();
            for (var i = 0, il = ids.length; i < il; i++)
                $('#jqgFD2').jqGrid('setSelection', ids[i]);
        }

        function PutOFTraslado() {
            $.ajax({
                url: 'Servicio.svc/PutOFTraslado',
                data: {
                    "id_face_ori": "FE " + $('#IdSubElementCC').val(),
                    "id_face_des": "FE " + $('#cbOFHabiFolioExtTR').val(), "id_fact_ori": $('#IdSubElementCC').val(),
                    "orden_des": "1", "motivo": $('#txtOFTRMotivo').val(), "cargos": $("#jqgFD2").jqGrid('getGridParam', 'selarrrow').toString(),
                    "id_oper": 0, "fecha_fil": $('#cbFil_Fecha:checked').val(),
                    "fecha_ini": $('#txtFil_Fecha').val(), "fecha_fin": $('#txtFil_Fecha2').val(),
                    "conc_fil": $('#cbFil_id_con0').val(), "id_pre0": $('#cbServFactTR').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando7').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando7').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        GetCCD();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_LIQ */ %>

        function Liquidacion()
        {
            window.open("Informe.aspx?r=197"
                + "&e=" + $('#jqgCC').jqGrid('getDataIDs')
                + "&f=" + $('#txtLIQFecha').val()
            , "_blank");
            $('#dlgCargando7').dialog('open');
            var delay = 10000;
            setTimeout(function () {
                $('#dlgCargando7').dialog('close');
                GetCCD();
            }, delay);
        }

        <% /* JS_FUN_LIS */ %>

        function Listado() {
            window.open("Informe.aspx?r=198"
                + "&id=" + $('#IdSubElementCC').val()
                + "&s=" + $('#txtFecIni').val()
                + "&f=" + $('#txtFecFin').val()
                + "&l=" + $('input[name=rbListar]:checked').val()
                + "&i=" + $('input[name=rbIncluir]:checked').val()
            , "_blank");
        }

        <% /* JS_FUN_FDX */ %>

        function DialogoDetalleCargo(id) {
            $.ajax({
                url: 'Servicio.svc/GetOFDetalleCargo',
                data: {
                    "id_face": "FE9999", "id_line": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando8').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando8').dialog('close');
                    try {
                        $('#dlgDetalleCargo').html(json.d);
                        $('#dlgDetalleCargo').dialog('open');
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetOFFacturaDetalle() {
            $.ajax({
                url: 'Servicio.svc/GetOFFacturaDetalle',
                data: {
                    "id_face": "FE9999", "id_fact": $('#IdSubElementCC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');

                    $("#jqgFD1").jqGrid('resetSelection');
                    $("#jqgFD2").jqGrid('resetSelection');
                    $("#jqgFD3").jqGrid('resetSelection');
                    $("#jqgFD4").jqGrid('resetSelection');

                    $('#jqgFD1').jqGrid('clearGridData');
                    $('#jqgFD2').jqGrid('clearGridData');
                    $('#jqgFD3').jqGrid('clearGridData');
                    $('#jqgFD4').jqGrid('clearGridData');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    try {
                        $("#jqgFD1").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        thegrid = $("#jqgFD1")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFD1").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        $("#jqgFD2").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        thegrid = $("#jqgFD2")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFD2").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        $("#jqgFD3").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        thegrid = $("#jqgFD3")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFD3").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        $("#jqgFD4").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        thegrid = $("#jqgFD4")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFD4").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        var rows = $("#jqgFD0").getDataIDs();
                        $('#TotalFD0').html($("#jqgFD0").getCell(rows[0], "total"));
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=205&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgDetalleCargo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 360,
                width: 510,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENPrint") %>": function () {
                        window.open("Informe.aspx?r=102&m=0&id=" + $('#IdSubElementFD1').val() + "&ck=FE " + $('#IdSubElementCC').val(), "_blank");
                    }
                }
            });

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 280,
                width: 490,
                modal: true
            });

            LoadGridCC();

            LoadGridFD1();
            LoadGridFD2();
            LoadGridFD3();
            LoadGridFD4();

            //RefreshGridCC();

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');

            $('#CuentaCasaTabs').tabs();
        });
    </script>

    <style type="text/css">

        #jqgFD1 .ui-widget-content {
            border: 1px solid white !important;
        }

        #jqgFD2 .ui-widget-content {
            border: 1px solid white !important;
        }

        #jqgFD3 .ui-widget-content {
            border: 1px solid white !important;
        }

        #jqgFD4 .ui-widget-content {
            border: 1px solid white !important;
        }

    </style>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="FoliosCuentaCasa.aspx"><%=L.TIT("FoliosCuentaCasa") %> [2.10]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 800px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgDetalleCargo" title="<%=L.LBL("LblGENInformation") %>" style="padding-top: 25px">
                    
                </div>

                <% /* DLG_FIL */%>

                <div id="dlgFiltro" title="<%=L.LBL("LblGENFilterBy") %>" style="padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_tipo" name="cbFil_id_tipo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENType") %>:
                            </td>
                            <td>
                                <%=cbTipoFolioExt %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_nombre_titular" name="cbFil_nombre_titular" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTitular") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_nombre_titular" value="" onchange="$('input[name=cbFil_nombre_titular]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_num_tarj" name="cbFil_num_tarj" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENNumero") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_num_tarj" value="" onchange="$('input[name=cbFil_num_tarj]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_emision" name="cbFil_fecha_emision" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENEmision") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFil_fecha_emision').prop('checked', true);").Replace("cbDateOps", "cbDateOpsA") %>
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_emision" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_emision').prop('checked', true);" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFil_fecha_emision2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_emision').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_vencim" name="cbFil_fecha_vencim" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENVencimiento") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFil_fecha_vencim').prop('checked', true);").Replace("cbDateOps", "cbDateOpsB") %>
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_vencim" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_vencim').prop('checked', true);" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFil_fecha_vencim2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_vencim').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                    </table>

                    <br />

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnFiltrar2" onclick="RefreshGridCC();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENFiltrar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("FoliosCuentaCasa") %> [2.10]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="$('#dlgFiltro').dialog('open');" id="A2" ><img src="img/funnel.png" /> <%=L.LBL("LblGENFiltrar") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-10-folios-cuenta-casa/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="CuentaCasa">
                        <%=hidCuentaCasa %>
                    </div>
                    <div id="HidCCD">
                    </div>
                    <div id="ServFact">
                        <%=hidServFact %>
                    </div>
                </div>

                <br />

                <% /* B01 */ %>

                <table style="width: 100%;">
                    <tr>
                        <td>
                            <input type="hidden" id="IdSubElementCC" value="0" />
                            <table id="jqgCC"></table>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td><%=L.LBL("LblFDKOFNroFolio") %>:</td>
                                    <td>
                                        <%=cbCuentaCasa %>
                                    </td>
                                    <td>
                                        <button type="button" id="btnFiltrar" onclick="$('#dlgFiltro').dialog('open');">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENFiltrar") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td style="width: 100%;"></td>
                                </tr>
                            </table>

                            <br />

                            <div id="CuentaCasaTabs" style="padding: 0px;">
                                <ul>
                                    <li>
                                        <a href="#Cargos">
                                            <table>
                                                <tr>
                                                    <td><img src="img/point.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKCargos") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#Traslado">
                                            <table>
                                                <tr>
                                                    <td><img src="img/road-sign.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=L.TIT("OFTrasladoCargos") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#Liquidacion">
                                            <table>
                                                <tr>
                                                    <td><img src="img/Seven/FDK/CALC_Book.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblGENLiquidacion") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#Listado">
                                            <table>
                                                <tr>
                                                    <td><img src="img/document-list.png" /></td>
                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSListado") %></span></td>
                                                </tr>
                                            </table>
                                        </a>
                                    </li>
                                </ul>

                                <div id="Cargos" style="height: 300px;">

                                    <% /* B02 */ %>

                                    <table style="width: 100%;">
                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td colspan="3"><b><%=L.TIT("OFCargos") %></b><br />
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <%=L.LBL("LblFDKSConcepto") %>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <select id="cbServFactXMoneCA" name="cbServFactXMoneCA" style="width: 280px;" onclick="LoadPrecioSF();"></select>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENImporte") %><br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <input type="text" id="txtOFCAImporte" value="<%=String.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right;" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <%=L.LBL("LblGENMotivo") %><br />

                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <textarea id="txtOFCAMotivo" cols="29" rows="3"></textarea>
                                                        </td>
                                                        <td>
                                                            <fieldset>
                                                                <input type="radio" id="rbOFCAModo0" name="rbOFCAModo" value="1" onclick="CheckCorreccionCRG();" checked="checked" /><%=L.LBL("LblGENCharge") %><br />
                                                                <input type="radio" id="rbOFCAModo1" name="rbOFCAModo" value="0" onclick="CheckCorreccionCRG();" /><%=L.LBL("LblFDKOFCorreccion") %>
                                                            </fieldset>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <table style="width: 100%;">
                                                                <tr>
                                                                    <td style="width: 50%;"></td>
                                                                    <td>
                                                                        <button type="button" id="btnAceptarCRG" onclick="PutOFFacturaCargos();">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/tick.png" alt="<%=L.LBL("LblGENAceptar") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENAceptar") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" id="btnCancelarCRG" onclick="$('#txtOFCAMotivo').val('');$('#rbOFCAModo0').prop('checked', true);$('#rbOFCAModo1').prop('checked', false);CheckCorreccionCRG();">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/cross-script.png" alt="<%=L.LBL("LblGENCancel") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENCancel") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td style="width: 50%;"></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td style="width: 250px;">
                                                <fieldset style="width: 93%; font-size: 8pt; white-space: normal;">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENTitular") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTitular1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENType") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTipo1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENVencimiento") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecVen1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENMonedaAbbr") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtMoneda1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENEmision") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecEmi1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblFDKFELimCredito") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtLimiteCred1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td colspan="2" style="text-align: center;">
                                                                <span id="txtCredito1" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>

                                                <br />

                                                <input type="hidden" id="IdSubElementFD1" value="0" />
                                                <table id="jqgFD1"></table>

                                                <br />

                                                <table style="width: 100%; color: blue; font-weight: bold;">
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENImporteTotal") %>:
                                                        </td>
                                                        <td style="width: 100%;"></td>
                                                        <td style="text-align: right;">
                                                            <span id="txtTotal1"><%=string.Format("{0:N2}", 0) %></span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>

                                </div>

                                <div id="Traslado" style="height: 300px;">

                                    <% /* B03 */ %>

                                    <table style="width: 100%;">
                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td colspan="4"><b><%=L.TIT("OFTrasladoCargos") %></b><br />
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="white-space: normal;">
                                                            <%=L.LBL("LblFDKOFSeleccionCargos") %>:
                                                        </td>
                                                        <td colspan="3">
                                                            <fieldset>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <input type="checkbox" id="cbFil_Fecha" name="cbFil_Fecha" value="1" onchange="GetOFFacturaDetalleTR();" />
                                                                        </td>
                                                                        <td>
                                                                            <%=L.LBL("LblGENDate") %>:
                                                                        </td>
                                                                        <td style="vertical-align: top;">
                                                                            <%=Utils.DateOpsCombo("$('#cbFil_Fecha').prop('checked', true);GetOFFacturaDetalleTR();").Replace("120px;", "70px;") %>
                                                                        </td>
                                                                        <td>
                                                                            <input type="text" id="txtFil_Fecha" value="" class="eligeFecha" onchange="$('#cbFil_Fecha').prop('checked', true);GetOFFacturaDetalleTR();" style="width:80px;" />
                                                                            <br />
                                                                            <input type="text" id="txtFil_Fecha2" value="" class="eligeFecha" onchange="$('#cbFil_Fecha').prop('checked', true);GetOFFacturaDetalleTR();" style="width:80px;" />
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <input type="checkbox" id="cbFil_id_con0" name="cbFil_id_con0" value="1" onchange="GetOFFacturaDetalleTR();" />
                                                                        </td>
                                                                        <td>
                                                                            <%=L.LBL("LblFDKSConcepto") %>:
                                                                        </td>
                                                                        <td colspan="2">
                                                                            <%=cbServFactTR %>
                                                                            <button type="button" id="btnSelectTodoTR" onclick="SelectTodoTR();">
                                                                                <table>
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="img/Seven/FDK/All.png" alt="<%=L.LBL("LblGENAll") %>" />
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </fieldset>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td rowspan="2">
                                                            <%=L.LBL("LblGENDestino") %>:
                                                        </td>
                                                        <td>
                                                            <%=L.LBL("LblGENRoom") %> / <%=L.LBL("LblFDKFolioExterno") %><br />

                                                        </td>
                                                        <td>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=cbOFHabiFolioExtTR %>
                                                        </td>
                                                        <td>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENMotivo") %><br />
                                                        </td>
                                                        <td colspan="3">
                                                            <textarea id="txtOFTRMotivo" cols="35" rows="2">

                                                            </textarea>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <table style="width: 100%;">
                                                                <tr>
                                                                    <td style="width: 50%;"></td>
                                                                    <td>
                                                                        <button type="button" id="btnAceptarTR" onclick="PutOFTraslado();">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/tick.png" alt="<%=L.LBL("LblGENAceptar") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENAceptar") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" id="btnCancelarTR" onclick="$('#cbOFHabiFolioExtTR').val(0);$('#txtFA0OrdenTR').val(1);$('#txtOFTRMotivo').val('');">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/cross-script.png" alt="<%=L.LBL("LblGENCancel") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENCancel") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td style="width: 50%;"></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td style="width: 250px;">
                                                <fieldset style="width: 93%; font-size: 8pt; white-space: normal;">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENTitular") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTitular2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENType") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTipo2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENVencimiento") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecVen2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENMonedaAbbr") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtMoneda2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENEmision") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecEmi2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblFDKFELimCredito") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtLimiteCred2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td colspan="2" style="text-align: center;">
                                                                <span id="txtCredito2" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>

                                                <br />

                                                <input type="hidden" id="IdSubElementFD2" value="0" />
                                                <table id="jqgFD2"></table>

                                                <br />

                                                <table style="width: 100%; color: blue; font-weight: bold;">
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENImporteTotal") %>:
                                                        </td>
                                                        <td style="width: 100%;"></td>
                                                        <td style="text-align: right;">
                                                            <span id="txtTotal2"><%=string.Format("{0:N2}", 0) %></span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>

                                </div>

                                <div id="Liquidacion" style="height: 300px;">

                                    <% /* B04 */ %>

                                    <table style="width: 100%;">
                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td colspan="3"><b><%=L.TIT("CCLiquidacionFolios") %></b><br />
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                    <td colspan="3">
                                                            <div style="border-radius: 10px; border: 1px solid black; font-weight: bold; color: navy; width: 80%; white-space: normal; text-align: justify; padding: 10px;">
                                                                <%=L.MSG("CCLiquidacionFolios") %>
                                                            </div>
                                                            <br />
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblCCLIQDia") %>:
                                                        </td>
                                                        <td colspan="3">
                                                            <input id="txtLIQFecha" type="text" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" class="eligeFecha" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <table style="width: 100%;">
                                                                <tr>
                                                                    <td style="width: 50%;"></td>
                                                                    <td>
                                                                        <button type="button" id="btnAceptarLIQ" onclick="Liquidacion();">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/tick.png" alt="<%=L.LBL("LblGENAceptar") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENAceptar") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" id="btnCancelarLIQ" onclick="">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/cross-script.png" alt="<%=L.LBL("LblGENCancel") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENCancel") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td style="width: 50%;"></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td style="width: 250px;">
                                                <fieldset style="width: 93%; font-size: 8pt; white-space: normal;">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENTitular") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTitular3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENType") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTipo3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENVencimiento") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecVen3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENMonedaAbbr") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtMoneda3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENEmision") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecEmi3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblFDKFELimCredito") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtLimiteCred3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td colspan="2" style="text-align: center;">
                                                                <span id="txtCredito3" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>

                                                <br />

                                                <input type="hidden" id="IdSubElementFD3" value="0" />
                                                <table id="jqgFD3"></table>

                                                <br />

                                                <table style="width: 100%; color: blue; font-weight: bold;">
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENImporteTotal") %>:
                                                        </td>
                                                        <td style="width: 100%;"></td>
                                                        <td style="text-align: right;">
                                                            <span id="txtTotal3"><%=string.Format("{0:N2}", 0) %></span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>

                                </div>

                                <div id="Listado" style="height: 300px;">

                                    <% /* B05 */ %>

                                    <table style="width: 100%;">
                                        <tr>
                                            <td>
                                                <table style="width: 90%;">
                                                    <tr>
                                                        <td colspan="3"><b><%=L.LBL("LblFDKSListado") %></b><br />
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENListar") %>:
                                                        </td>
                                                        <td colspan="3">
                                                            <fieldset>
                                                                <input type="radio" name="rbListar" value="0" checked="checked" /><%=L.LBL("LblFDKCCDetalleCargos") %><br />
                                                                <input type="radio" name="rbListar" value="1" /><%=L.LBL("LblFDKCCConcVenta") %>
                                                            </fieldset>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENIncluir") %>:
                                                        </td>
                                                        <td colspan="3">
                                                            <fieldset>
                                                                <input type="radio" name="rbIncluir" value="0" checked="checked" /><%=L.LBL("LblFDKCCSoloVigentes") %><br />
                                                                <input type="radio" name="rbIncluir" value="1" /><%=L.LBL("LblFDKCCVigenHist") %><br />
                                                                <input type="radio" name="rbIncluir" value="2" /><%=L.LBL("LblFDKCCSoloHist") %>
                                                            </fieldset>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENStart") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtFecIni" style="width: 80px;" class="eligeFecha"
                                                                value="<%=string.Format("{0:d}", new DateTime(fecha_hotelera.Year, fecha_hotelera.Month, 1)) %>" />
                                                        </td>
                                                        <td>
                                                            <%=L.LBL("LblGENEnd") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtFecFin" style="width: 80px;" class="eligeFecha"
                                                                value="<%=string.Format("{0:d}", fecha_hotelera) %>" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <br />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4">
                                                            <table style="width: 100%;">
                                                                <tr>
                                                                    <td style="width: 50%;"></td>
                                                                    <td>
                                                                        <button type="button" id="btnAceptarLIS" onclick="Listado();">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/tick.png" alt="<%=L.LBL("LblGENAceptar") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENAceptar") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" id="btnCancelarLis" onclick="">
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <img src="img/cross-script.png" alt="<%=L.LBL("LblGENCancel") %>" />
                                                                                    </td>
                                                                                    <td>
                                                                                        <%=L.LBL("LblGENCancel") %>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </button>
                                                                    </td>
                                                                    <td style="width: 50%;"></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td style="width: 250px;">
                                                <fieldset style="width: 93%; font-size: 8pt; white-space: normal;">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENTitular") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTitular4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENType") %>:
                                                            </td>
                                                            <td colspan="3">
                                                                <span id="txtTipo4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENVencimiento") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecVen4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td>
                                                                <%=L.LBL("LblGENMonedaAbbr") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtMoneda4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblGENEmision") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtFecEmi4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <%=L.LBL("LblFDKFELimCredito") %>:
                                                            </td>
                                                            <td>
                                                                <span id="txtLimiteCred4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                            <td colspan="2" style="text-align: center;">
                                                                <span id="txtCredito4" style="font-weight: bold; font-style: italic;"></span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>

                                                <br />

                                                <input type="hidden" id="IdSubElementFD4" value="0" />
                                                <table id="jqgFD4"></table>

                                                <br />

                                                <table style="width: 100%; color: blue; font-weight: bold;">
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENImporteTotal") %>:
                                                        </td>
                                                        <td style="width: 100%;"></td>
                                                        <td style="text-align: right;">
                                                            <span id="txtTotal4"><%=string.Format("{0:N2}", 0) %></span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>

                                </div>

                            </div>
                        </td>
                    </tr>
                </table>

                

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

