﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="FoliosExternos.aspx.cs" Inherits="Seven.Front.FoliosExternos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("FoliosExternos") %> [2.3]</title>

    <script type="text/javascript">

    <% 
        
        /* 
         * Índice de Código 
         * 
         * El crecimiento es un proceso de prueba y error: es una experimentación. 
         * Los experimentos fallidos forman parte del proceso en igual medida que el experimento que funciona bien.
         *                                                                                      - Benjamin Franklin
         * 
         * JQ01 - Grid de Folios Externos
         * JQ02 - Grid de Perfiles
         * JQ03 - Grid de Prepagos Asignados
         * JQ04 - Grid de Prepagos
         * 
         * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
         * JS_FUN_PER   - Funciones Javascript Perfiles
         * JS_DOC       - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR      - Diálogos Varios
         * DLG_FIL_FE   - Diálogo de Filtrado de Folios Externos
         * DLG_FIL_PER  - Diálogo de Filtrado de Perfiles
         * DLG_DGA      - Diálogo de Prepagos Asignados
         * DLG_FIL_DG   - Diálogo de Filtrado de Prepagos
         * 
         * TIT - Título
         * 
         * HH  - Hidden Hive - Almacen de datos en campos ocultos
         * 
         * B01 - Cuandro Información Principal
         * B02 - Formulario Principal OH
         * B03 - Zona Informativa 
         * 
         */
        
    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para FE */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetFE() {
            GetFolio(0);
        }

        function GetFolio(id) {
            $.ajax({
                url: 'Servicio.svc/GetFoliosExternos',
                data: {
                    "id_tarj": id, "Eliminado": $('#cbEliminado:checked').val()
                    , "Fil_id_tipo": $("input[name=cbFil_id_tipo]:checked").val(), "vFil_id_tipo": $('#cbTipoFolioExtFil').val()
                    , "Fil_nombre_titular": $("input[name=cbFil_nombre_titular]:checked").val(), "vFil_nombre_titular": $('#txtFil_nombre_titular').val()
                    , "Fil_num_tarj": $("input[name=cbFil_num_tarj]:checked").val(), "vFil_num_tarj": $('#txtFil_num_tarj').val()
                    , "Fil_fecha_vencim": $("input[name=cbFil_fecha_vencim]:checked").val(), "Fil_fecha_vencim_modo": $('#cbDateOpsFilFE').val()
                    , "vFil_fecha_vencim": $('#txtFil_fecha_vencim').val(), "vFil_fecha_vencim2": $('#txtFil_fecha_vencim2').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgFE").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgFE")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgFE").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        else {
                            $('#HidFolio').html(json.d);
                            LoadForm();
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutFE(eli) {
            $.ajax({
                url: 'Servicio.svc/PutFoliosExternos',
                data: {
                    "id_tarj": $('#IdSubElementFE').val(),
                    "id_dega": $('#IdSubElementDGFE').val(), "id_cardex": $('#IdSubElementCARD').val(),
                    "id_dcto": $('#cbDescuento').val(), "id_cuenta": $('#cbCuentaComi').val(), "id_tipo": $('#cbTipoFolioExt').val(),
                    "nombre_titular": $('#txtFENombre').val(), "fecha_vencim": $('#txtFEFechaVenc').val(),
                    "limite_cred": $('#txtFELimCredito').val(),
                    "num_tarj": $('#txtFENumero').val(), "factura": $('input[name=cbFEDeseaFact]:checked').val(),
                    "nro_cheque": $('#txtFENroFolio').val(), "credito": $('input[name=cbFECredito]:checked').val()
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementFE').val(0);
                            BotonDefaultFE();
                            RefreshGridFE();
                        }
                        else {
                            ResetFiltersFE();
                            if (parseInt($('#IdSubElementFE').val()) != 0) {
                                BotonDefaultFE();
                                RefreshGridFE();
                            }
                            else {
                                $('#IdSubElementFE').val(res);
                                BotonDefaultFE();
                                RefreshGridFE();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFE() {

            var lselFE;
            var colMap = {};
            $("#jqgFE").jqGrid({
                datatype: 'local',
                height: 200,
                width: 150,
                colNames: ['', '<%=L.LBL("LblGENFolio") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'num_tarj', index: 'num_tarj', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselFE) && !isNaN(id)) {
                            $("#jqgFE").jqGrid('delRowData', lselFE);
                            //$('#jqgFE').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgFE").jqGrid('getRowData', id);

                            $('#jqgFE').jqGrid('restoreRow', lselFE);

                            $('#IdSubElementFE').val(ret.Id);

                            GetFolio(ret.Id);
                        }
                        else {
                            BotonNuevoFE();
                        }

                        lselFE = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselFE)) {
                            $("#jqgFE").jqGrid('delRowData', lselFE);
                            $('#jqgFE').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgFE').jqGrid('saveRow', lselFE);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgFE').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgFE").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextFE').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconFE').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextFE').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconFE').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgFE').jqGrid('setSelection', id); 

                        BotonSelectFE();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFE").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementFE').val()) == 0) {
                            $('#IdSubElementFE').val($("#jqgFE").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgFE").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgFE").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgFE').jqGrid('setSelection', $('#IdSubElementFE').val());
                    if (parseInt($('#IdSubElementFE').val()) != 0) {
                        BotonSelectFE();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        function InitializeComponentsFE() {
            $('#cbDescuento').on('change', function () { BotonGuardarFE(); });
            $('#cbCuentaComi').on('change', function () { BotonGuardarFE(); });
            $('#cbTipoFolioExt').on('change', function () { BotonGuardarFE(); });
            $('#txtFENombre').on('input', function () { BotonGuardarFE(); });
            $('#txtFEFechaVenc').on('input', function () { BotonGuardarFE(); });
            $('#txtFEFechaEmision').on('input', function () { BotonGuardarFE(); });
            $('#txtFELimCredito').on('input', function () { BotonGuardarFE(); });
            $('#txtFENumero').on('input', function () { BotonGuardarFE(); });
            $('#cbFEDeseaFact').on('click', function () { BotonGuardarFE(); });
            $('#txtFENroFolio').on('input', function () { BotonGuardarFE(); });
            $('#cbFECredito').on('click', function () { BotonGuardarFE(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridFE() {
            $("#jqgFE").jqGrid("setGridParam", { datatype: "json", datatype: GetFE, loadonce: true });
            $("#jqgFE").trigger("reloadGrid");
            $("#jqgFE").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateFE() {
            ResetForm();
            BotonNuevoFE();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveFE() {
            PutFE(0);
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteFE() {
            var id = $("#jqgFE").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutFE(1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelFE() {
            var id = $("#jqgFE").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgFE').restoreRow(id);
                $('#IdSubElementFE').val(id);
                GetFolio(id);
            }
            else {
                ResetForm();
            }
            BotonDefaultFE();
        }

        function BotonDefaultFE() {
            $('#btnNuevoFE').button('enable');
            $('#btnEliminarFE').button('disable');
            $('#btnGuardarFE').button('disable');
            $('#btnCancelarFE').button('disable');
        }

        function BotonNuevoFE() {
            $('#btnNuevoFE').button('disable');
            $('#btnEliminarFE').button('disable');
            $('#btnGuardarFE').button('disable');
            $('#btnCancelarFE').button('enable');
        }

        function BotonSelectFE() {
            $('#btnNuevoFE').button('enable');
            var id = $("#jqgFE").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarFE').button('enable');
            }
            else {
                $('#btnEliminarFE').button('disable');
            }
            $('#btnGuardarFE').button('disable');
            $('#btnCancelarFE').button('disable');
        }

        function BotonGuardarFE() {
            $('#btnNuevoFE').button('disable');
            $('#btnEliminarFE').button('disable');
            $('#btnGuardarFE').button('enable');
            $('#btnCancelarFE').button('enable');
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Perfiles */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPER() {
            GetPerfil(1, 0);
        }

        function GetPERNew() {
            GetPerfil(4, 0);
        }

        function GetPerfil(modo, id) {
            if (modo < 3) {
                modo = 1;
            }

            $.ajax({
                url: 'Servicio.svc/GetPerfiles',
                data: {
                    "Modo": modo, "id_cardex": id, "id_cardex_fil": $('#IdSubElementPERFil').val()
                    , "Fil_nombre": $("input[name=cbFilPER_nombre]:checked").val(), "vFil_nombre": $('#txtFilPER_nombre').val()
                    , "Fil_clave_cardex": $("input[name=cbFilPER_clave_cardex]:checked").val(), "vFil_clave_cardex": $('#txtFilPER_clave_cardex').val()
                    , "Fil_dni_cif": $("input[name=cbFilPER_dni_cif]:checked").val(), "vFil_dni_cif": $('#txtFilPER_dni_cif').val()
                    , "Fil_provincia": $("input[name=cbFilPER_provincia]:checked").val(), "vFil_provincia": $('#txtFilPER_provincia').val()
                    , "Fil_ciudad": $("input[name=cbFilPER_ciudad]:checked").val(), "vFil_ciudad": $('#txtFilPER_ciudad').val()
                    , "Fil_localidad": $("input[name=cbFilPER_localidad]:checked").val(), "vFil_localidad": $('#txtFilPER_localidad').val()
                    , "Fil_zip_code": $("input[name=cbFilPER_zip_code]:checked").val(), "vFil_zip_code": $('#txtFilPER_zip_code').val()
                    , "Fil_id_naci": $("input[name=cbFilPER_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidadFilPER').val()
                    , "Fil_fecha_nac": $("input[name=cbFilPER_fecha_nac]:checked").val(), "Fil_fecha_nac_modo": $('#cbDateOpsFilPER').val()
                    , "vFil_fecha_nac": $('#txtFilPER_fecha_nac').val(), "vFil_fecha_nac2": $('#txtFilPER_fecha_nac2').val()
                    , "Fil_vip": $("input[name=cbFilPER_vip]:checked").val()
                    , "Fil_sexo": $("input[name=cbFilPER_sexo]:checked").val(), "vFil_sexo": $('input[name=rbPERFilGenero]:checked').val()
                    , "Eliminado": $('#cbEliminado:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#IdSubElementPERFil').val(0);
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgPER")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function VerPerfilButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='VerPerfil(" + rowObject[0] + ");'><img src='img/magnifier16.png' /></button>";
        };

        function VerPerfil(id)
        {
            window.open("Perfiles.aspx?t=1&id=" + id, "_blank");
        }

        function LoadGridPER() {

            var lselPER;
            var colMap = {};
            $("#jqgPER").jqGrid({
                datatype: 'local',
                height: 300,
                width: 200,
                colNames: ['', '<%=L.LBL("LblGENName") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'clave_cardex', index: 'clave_cardex', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 3, editable: false, formatter: VerPerfilButtonFormatter }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselPER) && !isNaN(id)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgPER").jqGrid('getRowData', id);

                            $('#jqgPER').jqGrid('restoreRow', lselPER);

                            $('#IdSubElementPER').val(ret.Id);
                        }

                        lselPER = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselPER)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            $('#jqgPER').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgPER').jqGrid('saveRow', lselPER);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgPER').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgPER").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPER').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPER').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgPER").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        var status = $("#jqgPER").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgPER").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgPER').jqGrid('setSelection', $('#IdSubElementPER').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPER() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPER, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function RefreshGridPERNew() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPERNew, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ03 */%>

        <% /* Código del jqGrid para Prepagos Asignados */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDGA() {
            $.ajax({
                url: 'Servicio.svc/GetPrepagosAsignados',
                data: {
                    "modo": 0, "id_elem": $('#IdSubElementFE').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgDGA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDGA")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDGA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function AddDGA2() {
            $.ajax({
                url: 'Servicio.svc/AddPrepagosAsignados',
                data: {
                    "modo": 0, "id_elem": $('#IdSubElementFE').val(), "id_dega": $('#IdSubElementDG').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElementDGA').val(0);
                        BotonDefaultDGA();
                        RefreshGridDGA();
                        $('#dlgFiltroDG').dialog('close');
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function DelDGA() {
            $.ajax({
                url: 'Servicio.svc/DelPrepagosAsignados',
                data: {
                    "modo": 0, "id_dega": $('#IdSubElementDGA').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElementDGA').val(0);
                        BotonDefaultDGA();
                        RefreshGridDGA();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDGA() {

            var lselDGA;
            var colMap = {};
            $("#jqgDGA").jqGrid({
                datatype: 'local',
                height: 75,
                width: 560,
                colNames: ['', '<%=L.LBL("LblGENRecibido") %>', '<%=L.LBL("LblFDKNroPrepago") %>', '<%=L.LBL("LblGENImporte") %>'
                    , '<%=L.LBL("LblFDKPREPImporteOrig") %>', '<%=L.LBL("LblFDKPREPMonedaOrig") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_recepcion', index: 'fecha_recepcion', width: 6, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'nro_dega', index: 'nro_dega', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'importe_mon_cont', index: 'importe_mon_cont', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'importe', index: 'importe', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'cod_mone', index: 'cod_mone', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDGA) && !isNaN(id)) {
                            $("#jqgDGA").jqGrid('delRowData', lselDGA);
                            //$('#jqgDGA').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDGA").jqGrid('getRowData', id);

                            $('#jqgDGA').jqGrid('restoreRow', lselDGA);

                            $('#IdSubElementDGA').val(ret.Id);
                        }
                        else {
                            BotonNuevoDGA();
                        }

                        lselDGA = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDGA)) {
                            $("#jqgDGA").jqGrid('delRowData', lselDGA);
                            $('#jqgDGA').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDGA').jqGrid('saveRow', lselDGA);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDGA').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgDGA").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextDGA').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconDGA').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextDGA').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconDGA').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgDGA').jqGrid('setSelection', id); 

                        BotonSelectDGA();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgDGA").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementDGA').val()) == 0) {
                            $('#IdSubElementDGA').val($("#jqgDGA").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgDGA").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgDGA").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgDGA').jqGrid('setSelection', $('#IdSubElementDGA').val());
                    if (parseInt($('#IdSubElementDGA').val()) != 0) {
                        BotonSelectDGA();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDGA() {
            $("#jqgDGA").jqGrid("setGridParam", { datatype: "json", datatype: GetDGA, loadonce: true });
            $("#jqgDGA").trigger("reloadGrid");
            $("#jqgDGA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function AddDGA() {
            var id = $("#jqgDG").jqGrid('getGridParam', 'selrow');
            if (id) {
                AddDGA2();
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteDGA() {
            var id = $("#jqgDGA").jqGrid('getGridParam', 'selrow');
            if (id) {
                DelDGA();
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        function BotonDefaultDGA() {
            $('#btnEliminarDGA').button('disable');
        }

        function BotonNuevoDGA() {
            $('#btnEliminarDGA').button('disable');
        }

        function BotonSelectDGA() {
            var id = $("#jqgDGA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarDGA').button('enable');
            }
            else {
                $('#btnEliminarDGA').button('disable');
            }
        }

        function BotonGuardarDGA() {
            $('#btnEliminarDGA').button('disable');
        }

        <% /* JQ04 */ %>

        <% /* Código del jqGrid para Prepagos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDG() {
            GetPrepago(0);
        }

        function GetPrepago(id) {
            $.ajax({
                url: 'Servicio.svc/GetPrepagos',
                data: {
                    "modo": 1, "id_cont": 0, "id_dega": id, "Eliminado": $('#cbEliminado:checked').val()
                    , "Fil_id_endg": $("input[name=cbFilDG_id_endg]:checked").val(), "vFil_id_endg": $('#cbEnlacePrepFilDG').val()
                    , "Fil_nombre_depo": $("input[name=cbFilDG_nombre_depo]:checked").val(), "vFil_nombre_depo": $('#txtFilDG_nombre_depo').val()
                    , "Fil_id_mone": $("input[name=cbFilDG_id_mone]:checked").val(), "vFil_id_mone": $('#cbMonedaFilDG').val()
                    , "Fil_documento_ext": $("input[name=cbFilDG_documento_ext]:checked").val(), "vFil_documento_ext": $('#txtFilDG_documento_ext').val()
                    , "Fil_fecha_recepcion": $("input[name=cbFilDG_fecha_recepcion]:checked").val(), "Fil_fecha_recepcion_modo": $("#cbDateOpsFilDG").val()
                    , "vFil_fecha_recepcion": $('#txtFilDG_fecha_recepcion').val(), "vFil_fecha_recepcion2": $('#txtFilDG_fecha_recepcion2').val()
                    , "Fil_fecha_caducidad": $("input[name=cbFilDG_fecha_caducidad]:checked").val(), "Fil_fecha_caducidad_modo": $("#cbDateOpsFilDG").val()
                    , "vFil_fecha_caducidad": $('#txtFilDG_fecha_caducidad').val(), "vFil_fecha_caducidad2": $('#txtFilDG_fecha_caducidad2').val()
                    , "Fil_no_tari": $("input[name=cbFilDG_no_tari]:checked").val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgDG").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgDG")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgDG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDG() {

            var lselDG;
            var colMap = {};
            $("#jqgDG").jqGrid({
                datatype: 'local',
                height: 280,
                width: 400,
                colNames: ['', '<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblFDKPREPDepositante") %>', '<%=L.LBL("LblGENImporte") %>', '<%=L.LBL("LblGENMoney") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nro_dega', index: 'nro_dega', width: 7, editable: true },
                            { name: 'nombre_depo', index: 'nombre_depo', width: 16, editable: true, search: false },
                            { name: 'importe', index: 'importe', width: 10, editable: true, search: false },
                            { name: 'cod_mone', index: 'cod_mone', width: 7, editable: true, search: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDG) && !isNaN(id)) {
                            $("#jqgDG").jqGrid('delRowData', lselDG);
                            //$('#jqgDG').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDG").jqGrid('getRowData', id);

                            $('#jqgDG').jqGrid('restoreRow', lselDG);

                            $('#IdSubElementDG').val(ret.Id);
                        }

                        lselDG = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDG)) {
                            $("#jqgDG").jqGrid('delRowData', lselDG);
                            $('#jqgDG').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDG').jqGrid('saveRow', lselDG);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDG').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgDG").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextDG').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconDG').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextDG').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconDG').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgDG").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementDG').val()) == 0) {
                            $('#IdSubElementDG').val($("#jqgDG").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgDG").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgDG").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgDG').jqGrid('setSelection', $('#IdSubElementDG').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDG() {
            $("#jqgDG").jqGrid("setGridParam", { datatype: "json", datatype: GetDG, loadonce: true });
            $("#jqgDG").trigger("reloadGrid");
            $("#jqgDG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JS_FUN_BASE */%>

        function ResetForm() {
            $('#IdSubElementFE').val(0);
            $('#IdSubElementDGFE').val(0);
            $('#IdSubElementCARD').val(0);
            $('#cbDescuento').val(0);
            $('#cbCuentaComi').val(0);
            $('#cbTipoFolioExt').val(0);
            $('#cbTipoFolioExt').prop('disabled', false);
            $('#txtFENombre').val('');
            $('#txtFEFechaVenc').val('<%=string.Format("{0:d}", fecha_hotelera.AddYears(10)) %>');
            $('#txtFEFechaEmision').val('');
            $('#txtFELimCredito').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtFENumero').val('0');
            $('#cbFEDeseaFact').prop('checked', false);
            $('#txtFENroFolio').val('');
            $('#cbFECredito').prop('checked', true);
        }

        function LoadForm() {
            ResetForm();

            $('#IdSubElementFE').val($('#HIDFE_id_tarj').val());
            $('#IdSubElementDGFE').val($('#HIDFE_id_dega').val());
            $('#IdSubElementCARD').val($('#HIDFE_id_cardex').val());
            $('#cbDescuento').val($('#HIDFE_id_dcto').val());
            $('#cbCuentaComi').val($('#HIDFE_id_cuenta').val());
            $('#cbTipoFolioExt').val($('#HIDFE_id_tipo').val());
            $('#cbTipoFolioExt').prop('disabled', true);
            $('#txtFENombre').val($('#HIDFE_nombre_titular').val());
            $('#txtFEFechaVenc').val($('#HIDFE_fecha_vencim').val());
            $('#txtFEFechaEmision').val($('#HIDFE_fecha_emision').val());
            $('#txtFELimCredito').val($('#HIDFE_limite_cred').val());
            $('#txtFENumero').val($('#HIDFE_num_tarj').val());
            if (parseInt($('#HIDFE_factura').val()) == 1) {
                $('#cbFEDeseaFact').prop('checked', true);
            }
            else {
                $('#cbFEDeseaFact').prop('checked', false);
            }
            $('#txtFENroFolio').val($('#HIDFE_nro_cheque').val());
            if (parseInt($('#HIDFE_credito').val()) == 1) {
                $('#cbFECredito').prop('checked', true);
            }
            else {
                $('#cbFECredito').prop('checked', false);
            }

            if (parseInt($('#HIDFE_id_cardex').val()) != 0) {
                $('#imgKardex01').attr("src", "img/Seven/KardexDel.png");
            }
            else {
                $('#imgKardex01').attr("src", "img/Seven/Kardex.png");
            }
        }

        function ResetFiltersFE() {
            $('#cbFil_id_tipo').prop('checked', false);
            $('#cbFil_nombre_titular').prop('checked', false);
            $('#cbFil_num_tarj').prop('checked', false);
            $('#cbFil_fecha_vencim').prop('checked', false);
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=130&ft=' + $("input[name=cbFil_id_tipo]:checked").val() + "&vt=" + $('#cbTipoFolioExtFil').val()
                    + "&fn=" + $("input[name=cbFil_nombre_titular]:checked").val() + "&vn=" + $('#txtFil_nombre_titular').val()
                    + "&fc=" + $("input[name=cbFil_num_tarj]:checked").val() + "&vc=" + $('#txtFil_num_tarj').val()
                    + "&fv=" + $("input[name=cbFil_fecha_vencim]:checked").val() + "&fvm=" + $('#cbDateOpsFilFE').val()
                    + "&vv=" + $('#txtFil_fecha_vencim').val() + "&vv2=" + $('#txtFil_fecha_vencim2').val()
                    + "&el=" + $('#cbEliminado:checked').val());
        }

        <% /* JS_FUN_PER */ %>

        function AsignarPerfil() {
            $('#IdSubElementCARD').val($('#IdSubElementPER').val());
            BotonGuardarFE();
            $('#dlgFiltroPER').dialog('close');
        }

        function RemoverPerfil() {
            $('#IdSubElementCARD').val(0);
            BotonGuardarFE();
            $('#dlgFiltroPER').dialog('close');
        }


    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgFiltroFE").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 280,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENSearch") %>": function () {
                        //$(this).dialog("close");
                        RefreshGridFE();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgFiltroPER").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 500,
                width: 540,
                modal: true
            });

            $("#dlgPerfilNuevo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 440,
                modal: true,
                open: function () {
                    window.open('Perfiles.aspx', '_PERF');
                },
                buttons: {
                    "<%=L.LBL("LblGENClose") %>": function () {
                        RefreshGridPERNew();
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgDGA").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 210,
                width: 580,
                modal: true
            });

            $("#dlgFiltroDG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 420,
                width: 740,
                modal: true
            });

            $("#dlgDGNuevo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 440,
                modal: true,
                open: function () {
                    window.open('Prepagos.aspx?d=' + $('#txtFENombre').val()
                        + '&c=' + $('#HID_TFE_id_mone_' + $('#cbTipoFolioExt').val()).val()
                        + '&i=<%=String.Format("{0:N2}", 0) %>'
                        + '&t=0', '_DG');
                },
                buttons: {
                    "<%=L.LBL("LblGENClose") %>": function () {
                        RefreshGridDG();
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 2);

            LoadGridFE();
            LoadGridPER();
            LoadGridDGA();
            LoadGridDG();

            InitializeComponentsFE();

            RefreshGridFE();

            BotonDefaultFE();
            BotonDefaultDGA();

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="FoliosExternos.aspx"><%=L.TIT("FoliosExternos") %> [2.3]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 610px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgPerfilNuevo" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("MsgNuevoPerfil") %>
                </div>

                <div id="dlgDGNuevo" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("MsgNuevoPrepago") %>
                </div>

                <% /* DLG_FIL_DG */%>

                <div id="dlgFiltroDG" title="<%=L.TIT("Prepagos") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_id_endg" name="cbFilDG_id_endg" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENType") %>:
                            </td>
                            <td colspan="2">
                                <%=cbEnlacePrepFilDG %>
                            </td>
                            <td rowspan="7">
                                <input type="hidden" id="IdSubElementDG" value="0" />
                                <table id="jqgDG"></table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_nombre_depo" name="cbFilDG_nombre_depo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKPREPDepositante") %>:
                            </td>
                            <td colspan="2">
                                <input type="text" id="txtFilDG_nombre_depo" value="" onchange="$('input[name=cbFilDG_nombre_depo]').prop('checked', true);"
                                    style="width: 150px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_id_mone" name="cbFilDG_id_mone" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMonedaFilDG %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_documento_ext" name="cbFilDG_documento_ext" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENDocumento") %>:
                            </td>
                            <td colspan="2">
                                <input type="text" id="txtFilDG_documento_ext" value="" onchange="$('input[name=cbFilDG_documento_ext]').prop('checked', true);"
                                    style="width: 150px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_fecha_recepcion" name="cbFilDG_fecha_recepcion" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRecibido") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilDG_fecha_recepcion').prop('checked', true);")
                                    .Replace("cbDateOps", "cbDateOpsFilDG").Replace("width: 120", "width: 80") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFilDG_fecha_recepcion" value="" class="eligeFecha"
                                    onchange="$('#cbFilDG_fecha_recepcion').prop('checked', true);" style="width: 80px;" />
                                <br />
                                <input type="text" id="txtFilDG_fecha_recepcion2" value="" class="eligeFecha"
                                    onchange="$('#cbFilDG_fecha_recepcion').prop('checked', true);" style="width: 80px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_fecha_caducidad" name="cbFilDG_fecha_caducidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENVencimiento") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilDG_fecha_caducidad').prop('checked', true);")
                                    .Replace("cbDateOps", "cbDateOpsFilDG2").Replace("width: 120", "width: 80") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFilDG_fecha_caducidad" value="" class="eligeFecha"
                                    onchange="$('#cbFilDG_fecha_caducidad').prop('checked', true);" style="width: 80px;" />
                                <br />
                                <input type="text" id="txtFilDG_fecha_caducidad2" value="" class="eligeFecha"
                                    onchange="$('#cbFilDG_fecha_caducidad').prop('checked', true);" style="width: 80px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_no_tari" name="cbFilDG_no_tari" value="1" checked="checked" disabled="disabled" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSinTarifa") %>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarDG" onclick="RefreshGridDG();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnNuevoDG" onclick="$('#dlgDGNuevo').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnAsignarDG2" onclick="AddDGA();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/plus.png" alt="<%=L.LBL("LblGENAsignar") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirDG" onclick="$('#dlgFiltroDG').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_FIL_FE */ %>

                <div id="dlgFiltroFE" title="<%=L.LBL("LblGENSearch") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_tipo" name="cbFil_id_tipo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENType") %>:
                            </td>
                            <td>
                                <%=cbTipoFolioExtFil %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_nombre_titular" name="cbFil_nombre_titular" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_nombre_titular" value="" onchange="$('input[name=cbFil_nombre_titular]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_num_tarj" name="cbFil_num_tarj" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENNumero") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_num_tarj" value="" onchange="$('input[name=cbFil_num_tarj]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_vencim" name="cbFil_fecha_vencim" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSFechaVencimiento") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFil_fecha_vencim').prop('checked', true);RefreshGridFE();").Replace("cbDateOps", "cbDateOpsFilFE") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFil_fecha_vencim" value="" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_vencim').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFil_fecha_vencim2" value="" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_vencim').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_FIL_PER */%>

                <div id="dlgFiltroPER" title="<%=L.TIT("Perfiles") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left; white-space: nowrap;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_nombre" name="cbFilPER_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_nombre" value="" onchange="$('input[name=cbFilPER_nombre]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                            <td rowspan="10">
                                <input type="hidden" id="IdSubElementPER" value="0" />
                                <input type="hidden" id="IdSubElementPERCon" value="0" />
                                <input type="hidden" id="IdSubElementPERModo" value="0" />
                                <input type="hidden" id="IdSubElementPERFil" value="0" />
                                <table id="jqgPER"></table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_clave_cardex" name="cbFilPER_clave_cardex" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblPERClave") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_clave_cardex" value="" onchange="$('input[name=cbFilPER_clave_cardex]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_dni_cif" name="cbFilPER_dni_cif" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKIdentificacion") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_dni_cif" value="" onchange="$('input[name=cbFilPER_dni_cif]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_provincia" name="cbFilPER_provincia" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKProvincia") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_provincia" value="" onchange="$('input[name=cbFilPER_provincia]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_ciudad" name="cbFilPER_ciudad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCiudad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_ciudad" value="" onchange="$('input[name=cbFilPER_ciudad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_localidad" name="cbFilPER_localidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKLocalidad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_localidad" value="" onchange="$('input[name=cbFilPER_localidad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_zip_code" name="cbFilPER_zip_code" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCodigoPostal") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_zip_code" value="" onchange="$('input[name=cbFilPER_zip_code]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_id_naci" name="cbFilPER_id_naci" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidadFilPER %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_vip" name="cbFilPER_vip" value="1" onclick="RefreshGridPER();" />
                            </td>
                            <td>VIP
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_sexo" name="cbFilPER_sexo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENGenero") %>:
                            </td>
                            <td>
                                <input type="radio" id="rbPERFilGenero0" name="rbPERFilGenero" value="0" checked="checked"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENMasculino") %></b>
                                <br />
                                <input type="radio" id="rbPERFilGenero1" name="rbPERFilGenero" value="1"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENFemenino") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_fecha_nac" name="cbFilPER_fecha_nac" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKFechaNac") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();").Replace("cbDateOps", "cbDateOpsFilPER") %>
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_fecha_nac" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilPER_fecha_nac2" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarPER" onclick="RefreshGridPER();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCrearPER" onclick="$('#dlgPerfilNuevo').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnAsignarPER" onclick="AsignarPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/KardexDel.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnQuitarPER" onclick="RemoverPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/Kardex.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirPER" onclick="$('#dlgFiltroPER').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_DGA */%>

                <div id="dlgDGA" title="<%=L.TIT("PrepagosAsignados") %>" style="text-align: center; padding-top: 25px">
                    <input type="hidden" id="IdSubElementDGA" value="0" />
                    <table id="jqgDGA"></table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnAsignarDG" onclick="RefreshGridDG();$('#dlgFiltroDG').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/plus.png" alt="<%=L.LBL("LblGENAsignar") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENAsignar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnRemoverDG" onclick="DeleteDGA();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/cross-script.png" alt="<%=L.LBL("LblGENRemover") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENRemover") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirDGA" onclick="$('#dlgDGA').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENExit") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENExit") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("FoliosExternos") %> [2.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultFE();RefreshGridFE();" value="1" />
                                            <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2">
                                                <img src="img/printer.png" />
                                                <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-3-folios-externos/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HidFolio"></div>
                    <div id="TFE">
                        <%=hidTipoFolios %>
                    </div>
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <input type="hidden" id="IdSubElementFE" value="0" />
                            <input type="hidden" id="IdSubElementDGFE" value="0" />
                            <input type="hidden" id="IdSubElementCARD" value="0" />
                            <table id="jqgFE"></table>
                        </td>
                        <td>
                            <fieldset>
                                <table>
                                    <tr>
                                        <td colspan="2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENNumero") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENName") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtFENumero" value="" style="width: 100px;" disabled="disabled" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFENombre" value="" style="width: 290px;" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKSFechaVencimiento") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKFELimCredito") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtFEFechaVenc" value="" class="eligeFecha" style="width: 100px;" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFELimCredito" value="<%=String.Format("{0:N2}", 0) %>" style="width: 120px; text-align: right;" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <table>
                                                <tr>
                                                    <td style="width: 100px;">
                                                        <%=L.LBL("LblGENType") %>
                                                    </td>
                                                    <td>
                                                        <%=cbTipoFolioExt %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENAccount") %>
                                                    </td>
                                                    <td>
                                                        <%=cbCuentaComi %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKSDescuento") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKFEDeseaFact") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=cbDescuento %>
                                                    </td>
                                                    <td>
                                                        <input type="checkbox" id="cbFEDeseaFact" name="cbFEDeseaFact" value="1" />
                                                        <%=L.LBL("LblGENYes") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <table>
                                                <tr>
                                                    <td><%=L.LBL("LblGENFechaEmision") %></td>
                                                    <td><%=L.LBL("LblFDKOFNroFolio") %></td>
                                                    <td><%=L.LBL("LblFDKCredito") %></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtFEFechaEmision" value="" style="width: 100px;" disabled="disabled" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFENroFolio" value="" style="width: 110px;" disabled="disabled" />
                                                    </td>
                                                    <td style="width: 85px;">
                                                        <input type="checkbox" id="cbFECredito" name="cbFECredito" value="1" />
                                                        <%=L.LBL("LblGENYes") %>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnFECardex" onclick="$('#IdSubElementPERFil').val($('#IdSubElementCARD').val());RefreshGridPER();$('#dlgFiltroPER').dialog('open');">
                                                            <table style="padding: 0px;">
                                                                <tr>
                                                                    <td>
                                                                        <img id="imgKardex01" src="img/Seven/Kardex.png" alt="<%=L.LBL("LblFDKPerfil") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnFEPrepagos" onclick="RefreshGridDGA();$('#dlgDGA').dialog('open');">
                                                            <table style="padding: 0px;">
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/FDK/Prepagos.png" alt="<%=L.LBL("LblFDKSPrepago") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="bsdataFE" onclick="ResetForm();$('#dlgFiltroFE').dialog('open');">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/binocular.png"
                                                                        alt="<%=L.LBL("LblGENSearch") %>" />
                                                                </td>
                                                                <td>
                                                                    <%=L.LBL("LblGENSearch") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoFE" onclick="CreateFE();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENNew") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarFE" onclick="DeleteFE();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img id="btnEliminarIconFE" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                </td>
                                                                <td id="btnEliminarTextFE"><%=L.LBL("LblGENDelete") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarFE" onclick="SaveFE();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarFE" onclick="CancelFE();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                <td><%=L.LBL("LblGENCancel") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

